<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>cryptplug.h</name>
    <path>/home/lmontel/rpm/BUILD/kdepim-3.3.0/certmanager/lib/</path>
    <filename>cryptplug_8h</filename>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <member kind="define">
      <type>#define</type>
      <name>CRYPTPLUG_CERT_DOES_NEVER_EXPIRE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.cpp</name>
    <path>/home/lmontel/rpm/BUILD/kdepim-3.3.0/certmanager/lib/</path>
    <filename>cryptplugwrapper_8cpp</filename>
    <includes id="cryptplugwrapper_8h" name="cryptplugwrapper.h" local="yes">cryptplugwrapper.h</includes>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes">cryptplug.h</includes>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>NEAR_EXPIRY</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.h</name>
    <path>/home/lmontel/rpm/BUILD/kdepim-3.3.0/certmanager/lib/</path>
    <filename>cryptplugwrapper_8h</filename>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes">cryptplug.h</includes>
    <class kind="class">StructuringInfoWrapper</class>
    <class kind="class">CryptPlugWrapper</class>
  </compound>
  <compound kind="class">
    <name>AppearanceConfigurationPage</name>
    <filename>classAppearanceConfigurationPage.html</filename>
    <member kind="function">
      <type></type>
      <name>AppearanceConfigurationPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CertKeyListView</name>
    <filename>classCertKeyListView.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchor>l0</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CertKeyListView</name>
      <anchor>a0</anchor>
      <arglist>(const ColumnStrategy *strategy, const DisplayStrategy *display=0, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragMoveEvent</name>
      <anchor>b1</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragLeaveEvent</name>
      <anchor>b2</anchor>
      <arglist>(QDragLeaveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchor>b3</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CryptPlug::StructuringInfo</name>
    <filename>structCryptPlug_1_1StructuringInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>includeCleartext</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMimeObject</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMultiMime</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeMain</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispMain</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncMain</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeVersion</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispVersion</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncVersion</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>bodyTextVersion</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeCode</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispCode</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncCode</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPrefix</name>
      <anchor>o13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextSeparator</name>
      <anchor>o14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPostfix</name>
      <anchor>o15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CryptPlugWrapper</name>
    <filename>classCryptPlugWrapper.html</filename>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; CryptPlugWrapper::CertificateInfo &gt;</type>
      <name>CertificateInfoList</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>InitStatus</name>
      <anchor>ga10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchor>ga0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;libName=QString::null, const QString &amp;update=QString::null, bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>protocol</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>ga2</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchor>ga3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchor>ga4</anchor>
      <arglist>(const QString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libName</name>
      <anchor>ga5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchor>ga6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchor>ga7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libVersion</name>
      <anchor>ga8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>updateURL</name>
      <anchor>ga9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdateURL</name>
      <anchor>ga10</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchor>ga6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>InitStatus</type>
      <name>initStatus</name>
      <anchor>ga7</anchor>
      <arglist>(QString *errorMsg) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchor>ga8</anchor>
      <arglist>(Feature)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>bugURL</name>
      <anchor>ga9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureAlgorithm</name>
      <anchor>ga0</anchor>
      <arglist>(SignatureAlgorithm)</arglist>
    </member>
    <member kind="function">
      <type>SignatureAlgorithm</type>
      <name>signatureAlgorithm</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnSendUnsigned</name>
      <anchor>ga2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnSendUnsigned</name>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureCertificateExpiryNearWarning</name>
      <anchor>ga4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signatureCertificateExpiryNearWarning</name>
      <anchor>ga5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureCertificateExpiryNearInterval</name>
      <anchor>ga6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>signatureCertificateExpiryNearInterval</name>
      <anchor>ga7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCACertificateExpiryNearWarning</name>
      <anchor>ga8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>caCertificateExpiryNearWarning</name>
      <anchor>ga9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCACertificateExpiryNearInterval</name>
      <anchor>ga10</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>caCertificateExpiryNearInterval</name>
      <anchor>ga11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootCertificateExpiryNearWarning</name>
      <anchor>ga12</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootCertificateExpiryNearWarning</name>
      <anchor>ga13</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootCertificateExpiryNearInterval</name>
      <anchor>ga14</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rootCertificateExpiryNearInterval</name>
      <anchor>ga15</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionAlgorithm</name>
      <anchor>ga0</anchor>
      <arglist>(EncryptionAlgorithm)</arglist>
    </member>
    <member kind="function">
      <type>EncryptionAlgorithm</type>
      <name>encryptionAlgorithm</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptEmail</name>
      <anchor>ga2</anchor>
      <arglist>(EncryptEmail)</arglist>
    </member>
    <member kind="function">
      <type>EncryptEmail</type>
      <name>encryptEmail</name>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnSendUnencrypted</name>
      <anchor>ga4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnSendUnencrypted</name>
      <anchor>ga5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlwaysEncryptToSelf</name>
      <anchor>ga6</anchor>
      <arglist>(bool) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysEncryptToSelf</name>
      <anchor>ga7</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveMessagesEncrypted</name>
      <anchor>ga8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveMessagesEncrypted</name>
      <anchor>ga9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCheckCertificatePath</name>
      <anchor>ga10</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkCertificatePath</name>
      <anchor>ga11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverCertificateExpiryNearWarning</name>
      <anchor>ga12</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receiverCertificateExpiryNearWarning</name>
      <anchor>ga13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverCertificateExpiryNearWarningInterval</name>
      <anchor>ga14</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>receiverCertificateExpiryNearWarningInterval</name>
      <anchor>ga15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertificateInChainExpiryNearWarning</name>
      <anchor>ga16</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certificateInChainExpiryNearWarning</name>
      <anchor>ga17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertificateInChainExpiryNearWarningInterval</name>
      <anchor>ga18</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>certificateInChainExpiryNearWarningInterval</name>
      <anchor>ga19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverEmailAddressNotInCertificateWarning</name>
      <anchor>ga20</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receiverEmailAddressNotInCertificateWarning</name>
      <anchor>ga21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionUseCRLs</name>
      <anchor>ga22</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptionUseCRLs</name>
      <anchor>ga23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionCRLExpiryNearWarning</name>
      <anchor>ga24</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptionCRLExpiryNearWarning</name>
      <anchor>ga25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionCRLNearExpiryInterval</name>
      <anchor>ga26</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>encryptionCRLNearExpiryInterval</name>
      <anchor>ga27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertificateSource</name>
      <anchor>ga0</anchor>
      <arglist>(CertificateSource)</arglist>
    </member>
    <member kind="function">
      <type>CertificateSource</type>
      <name>certificateSource</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signMessage</name>
      <anchor>ga3</anchor>
      <arglist>(const char *cleartext, char **ciphertext, const size_t *cipherLen, const char *certificate, StructuringInfoWrapper &amp;structuring, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>freeSignatureMetaData</name>
      <anchor>a64</anchor>
      <arglist>(CryptPlug::SignatureMetaData *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchor>ga4</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storeCertificatesFromMessage</name>
      <anchor>ga5</anchor>
      <arglist>(const char *ciphertext)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findCertificates</name>
      <anchor>ga5</anchor>
      <arglist>(const char *addressee, char **certificates, int *newSize, bool secretOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptMessage</name>
      <anchor>ga6</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const size_t *cipherLen, const char *addressee, StructuringInfoWrapper &amp;structuring, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptAndSignMessage</name>
      <anchor>ga7</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const char *certificate, StructuringInfoWrapper &amp;structuring)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchor>ga8</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchor>ga9</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>CertificateInfoList</type>
      <name>listKeys</name>
      <anchor>a72</anchor>
      <arglist>(const QString &amp;pattern=QString::null, bool remote=false, bool *truncated=0)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyListJob *</type>
      <name>keyListJob</name>
      <anchor>a73</anchor>
      <arglist>(bool remote=false, bool includeSigs=false, bool validate=true) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::EncryptJob *</type>
      <name>encryptJob</name>
      <anchor>a74</anchor>
      <arglist>(bool armor=false, bool textmode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptJob *</type>
      <name>decryptJob</name>
      <anchor>a75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignJob *</type>
      <name>signJob</name>
      <anchor>a76</anchor>
      <arglist>(bool armor=false, bool textMode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyDetachedJob *</type>
      <name>verifyDetachedJob</name>
      <anchor>a77</anchor>
      <arglist>(bool textmode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyOpaqueJob *</type>
      <name>verifyOpaqueJob</name>
      <anchor>a78</anchor>
      <arglist>(bool textmode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyGenerationJob *</type>
      <name>keyGenerationJob</name>
      <anchor>a79</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::ImportJob *</type>
      <name>importJob</name>
      <anchor>a80</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>publicKeyExportJob</name>
      <anchor>a81</anchor>
      <arglist>(bool armor=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>secretKeyExportJob</name>
      <anchor>a82</anchor>
      <arglist>(bool armor=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::DownloadJob *</type>
      <name>downloadJob</name>
      <anchor>a83</anchor>
      <arglist>(bool armor=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::DeleteJob *</type>
      <name>deleteJob</name>
      <anchor>a84</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignEncryptJob *</type>
      <name>signEncryptJob</name>
      <anchor>a85</anchor>
      <arglist>(bool armor=false, bool textmode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptVerifyJob *</type>
      <name>decryptVerifyJob</name>
      <anchor>a86</anchor>
      <arglist>(bool textmode=false) const</arglist>
    </member>
    <member kind="function">
      <type>Kleo::RefreshKeysJob *</type>
      <name>refreshKeysJob</name>
      <anchor>a87</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>GpgME::ImportResult</type>
      <name>importCertificate</name>
      <anchor>a88</anchor>
      <arglist>(const char *data, size_t length)</arglist>
    </member>
    <member kind="function">
      <type>CryptPlug *</type>
      <name>cryptPlug</name>
      <anchor>a89</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>errorIdToText</name>
      <anchor>e0</anchor>
      <arglist>(int errId, bool &amp;isPassphraseError)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DirectoryServicesConfigurationPage</name>
    <filename>classDirectoryServicesConfigurationPage.html</filename>
    <member kind="function">
      <type></type>
      <name>DirectoryServicesConfigurationPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNOrderConfigPage</name>
    <filename>classDNOrderConfigPage.html</filename>
    <member kind="function">
      <type></type>
      <name>DNOrderConfigPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfig</name>
    <filename>classQGpgMECryptoConfig.html</filename>
    <base>QObject</base>
    <base>Kleo::CryptoConfig</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfig</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>componentList</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kleo::CryptoConfigComponent *</type>
      <name>component</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sync</name>
      <anchor>a5</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfigComponent</name>
    <filename>classQGpgMECryptoConfigComponent.html</filename>
    <base>QObject</base>
    <base>Kleo::CryptoConfigComponent</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfigComponent</name>
      <anchor>a0</anchor>
      <arglist>(QGpgMECryptoConfig *, const QString &amp;name, const QString &amp;description)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>description</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>groupList</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kleo::CryptoConfigGroup *</type>
      <name>group</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchor>a5</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StructuringInfoWrapper</name>
    <filename>classStructuringInfoWrapper.html</filename>
    <member kind="function">
      <type></type>
      <name>StructuringInfoWrapper</name>
      <anchor>a0</anchor>
      <arglist>(CryptPlugWrapper *wrapper)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>CryptPlug::StructuringInfo</type>
      <name>data</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupGeneral</name>
    <title>Loading and Unloading the Plugin, General Functionality</title>
    <filename>group__groupGeneral.html</filename>
    <member kind="enumeration">
      <name>InitStatus</name>
      <anchor>ga10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>libVersion</name>
      <anchor>ga0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>bugURL</name>
      <anchor>ga1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>interfaceVersion</name>
      <anchor>ga2</anchor>
      <arglist>(int *min_version)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchor>ga3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchor>ga4</anchor>
      <arglist>(Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchor>ga6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>InitStatus</type>
      <name>initStatus</name>
      <anchor>ga7</anchor>
      <arglist>(QString *errorMsg) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchor>ga8</anchor>
      <arglist>(Feature)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>bugURL</name>
      <anchor>ga9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupDisplay</name>
    <title>Graphical Display Functionality</title>
    <filename>group__groupDisplay.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfig</name>
    <title>Configuration Support</title>
    <filename>group__groupConfig.html</filename>
    <subgroup>groupConfigSign</subgroup>
    <subgroup>groupConfigCrypt</subgroup>
    <subgroup>groupConfigDir</subgroup>
  </compound>
  <compound kind="group">
    <name>groupConfigSign</name>
    <title>Signature Configuration</title>
    <filename>group__groupConfigSign.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setSignatureAlgorithm</name>
      <anchor>ga0</anchor>
      <arglist>(SignatureAlgorithm)</arglist>
    </member>
    <member kind="function">
      <type>SignatureAlgorithm</type>
      <name>signatureAlgorithm</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnSendUnsigned</name>
      <anchor>ga2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnSendUnsigned</name>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureCertificateExpiryNearWarning</name>
      <anchor>ga4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signatureCertificateExpiryNearWarning</name>
      <anchor>ga5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureCertificateExpiryNearInterval</name>
      <anchor>ga6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>signatureCertificateExpiryNearInterval</name>
      <anchor>ga7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCACertificateExpiryNearWarning</name>
      <anchor>ga8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>caCertificateExpiryNearWarning</name>
      <anchor>ga9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCACertificateExpiryNearInterval</name>
      <anchor>ga10</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>caCertificateExpiryNearInterval</name>
      <anchor>ga11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootCertificateExpiryNearWarning</name>
      <anchor>ga12</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootCertificateExpiryNearWarning</name>
      <anchor>ga13</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootCertificateExpiryNearInterval</name>
      <anchor>ga14</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rootCertificateExpiryNearInterval</name>
      <anchor>ga15</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupConfigCrypt</name>
    <title>Encryption Configuration</title>
    <filename>group__groupConfigCrypt.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionAlgorithm</name>
      <anchor>ga0</anchor>
      <arglist>(EncryptionAlgorithm)</arglist>
    </member>
    <member kind="function">
      <type>EncryptionAlgorithm</type>
      <name>encryptionAlgorithm</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptEmail</name>
      <anchor>ga2</anchor>
      <arglist>(EncryptEmail)</arglist>
    </member>
    <member kind="function">
      <type>EncryptEmail</type>
      <name>encryptEmail</name>
      <anchor>ga3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnSendUnencrypted</name>
      <anchor>ga4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnSendUnencrypted</name>
      <anchor>ga5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlwaysEncryptToSelf</name>
      <anchor>ga6</anchor>
      <arglist>(bool) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysEncryptToSelf</name>
      <anchor>ga7</anchor>
      <arglist>() KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveMessagesEncrypted</name>
      <anchor>ga8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveMessagesEncrypted</name>
      <anchor>ga9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCheckCertificatePath</name>
      <anchor>ga10</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkCertificatePath</name>
      <anchor>ga11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverCertificateExpiryNearWarning</name>
      <anchor>ga12</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receiverCertificateExpiryNearWarning</name>
      <anchor>ga13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverCertificateExpiryNearWarningInterval</name>
      <anchor>ga14</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>receiverCertificateExpiryNearWarningInterval</name>
      <anchor>ga15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertificateInChainExpiryNearWarning</name>
      <anchor>ga16</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certificateInChainExpiryNearWarning</name>
      <anchor>ga17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertificateInChainExpiryNearWarningInterval</name>
      <anchor>ga18</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>certificateInChainExpiryNearWarningInterval</name>
      <anchor>ga19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverEmailAddressNotInCertificateWarning</name>
      <anchor>ga20</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receiverEmailAddressNotInCertificateWarning</name>
      <anchor>ga21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionUseCRLs</name>
      <anchor>ga22</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptionUseCRLs</name>
      <anchor>ga23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionCRLExpiryNearWarning</name>
      <anchor>ga24</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptionCRLExpiryNearWarning</name>
      <anchor>ga25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionCRLNearExpiryInterval</name>
      <anchor>ga26</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>encryptionCRLNearExpiryInterval</name>
      <anchor>ga27</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupConfigDir</name>
    <title>Directory Service Configuration</title>
    <filename>group__groupConfigDir.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setCertificateSource</name>
      <anchor>ga0</anchor>
      <arglist>(CertificateSource)</arglist>
    </member>
    <member kind="function">
      <type>CertificateSource</type>
      <name>certificateSource</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCertHand</name>
    <title>Certificate Handling</title>
    <filename>group__groupCertHand.html</filename>
  </compound>
  <compound kind="group">
    <name>groupSignCryptAct</name>
    <title>Signing and Encrypting Actions</title>
    <filename>group__groupSignCryptAct.html</filename>
    <subgroup>groupSignAct</subgroup>
    <subgroup>groupCryptAct</subgroup>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <class kind="class">StructuringInfoWrapper</class>
    <member kind="function">
      <type>void</type>
      <name>free_StructuringInfo</name>
      <anchor>ga0</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupSignAct</name>
    <title>Signature Actions</title>
    <filename>group__groupSignAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>signMessage</name>
      <anchor>ga0</anchor>
      <arglist>(const char *cleartext, char **ciphertext, const size_t *cipherLen, const char *certificate, struct StructuringInfo *structuring, int *errId, char **errTxt, SendCertificates sendCertificates, SignatureCompoundMode signatureCompoundMode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchor>ga1</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, struct SignatureMetaData *sigmeta, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storeCertificatesFromMessage</name>
      <anchor>ga2</anchor>
      <arglist>(const char *ciphertext)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signMessage</name>
      <anchor>ga3</anchor>
      <arglist>(const char *cleartext, char **ciphertext, const size_t *cipherLen, const char *certificate, StructuringInfoWrapper &amp;structuring, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchor>ga4</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storeCertificatesFromMessage</name>
      <anchor>ga5</anchor>
      <arglist>(const char *ciphertext)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCryptAct</name>
    <title>Encryption and Decryption</title>
    <filename>group__groupCryptAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>findCertificates</name>
      <anchor>ga0</anchor>
      <arglist>(const char *addressee, char **certificates, int *newSize, bool secretOnly, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptMessage</name>
      <anchor>ga1</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const size_t *cipherLen, const char *addressee, struct StructuringInfo *structuring, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptAndSignMessage</name>
      <anchor>ga2</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const char *certificate, struct StructuringInfo *structuring)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchor>ga3</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchor>ga4</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, bool *signatureFound, struct SignatureMetaData *sigmeta, int *errId, char **errTxt, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findCertificates</name>
      <anchor>ga5</anchor>
      <arglist>(const char *addressee, char **certificates, int *newSize, bool secretOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptMessage</name>
      <anchor>ga6</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const size_t *cipherLen, const char *addressee, StructuringInfoWrapper &amp;structuring, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptAndSignMessage</name>
      <anchor>ga7</anchor>
      <arglist>(const char *cleartext, const char **ciphertext, const char *certificate, StructuringInfoWrapper &amp;structuring)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchor>ga8</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchor>ga9</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCertAct</name>
    <title>Certificate Handling Actions</title>
    <filename>group__groupCertAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCRLAct</name>
    <title>CRL Handling Actions</title>
    <filename>group__groupCRLAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdUsoInterno</name>
    <title>Important functions to be used by plugin implementors ONLY.</title>
    <filename>group__groupAdUsoInterno.html</filename>
    <member kind="function">
      <type>void</type>
      <name>init_StructuringInfo</name>
      <anchor>ga0</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>certList</name>
    <title>Certificate Info listing functions</title>
    <filename>group__certList.html</filename>
    <member kind="function">
      <type>CertIterator *</type>
      <name>startListCertificates</name>
      <anchor>ga0</anchor>
      <arglist>(const char *pattern, int remote)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupAdmin</name>
    <title>Constructor, destructor and setting of &apos;active&apos; flag</title>
    <filename>group__groupAdmin.html</filename>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchor>ga0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;libName=QString::null, const QString &amp;update=QString::null, bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchor>ga1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>ga2</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchor>ga3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchor>ga4</anchor>
      <arglist>(const QString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libName</name>
      <anchor>ga5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchor>ga6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>displayName</name>
      <anchor>ga7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>libVersion</name>
      <anchor>ga8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>updateURL</name>
      <anchor>ga9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdateURL</name>
      <anchor>ga10</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIOext::StoredTransferJob</name>
    <filename>classKIOext_1_1StoredTransferJob.html</filename>
    <member kind="function">
      <type></type>
      <name>StoredTransferJob</name>
      <anchor>a0</anchor>
      <arglist>(const KURL &amp;url, int command, const QByteArray &amp;packedArgs, const QByteArray &amp;_staticData, bool showProgressInfo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;arr)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>data</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::GnuPGProcessBase</name>
    <filename>classKleo_1_1GnuPGProcessBase.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>status</name>
      <anchor>l0</anchor>
      <arglist>(Kleo::GnuPGProcessBase *proc, const QString &amp;type, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GnuPGProcessBase</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUseStatusFD</name>
      <anchor>a2</anchor>
      <arglist>(bool use)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchor>a3</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStatus</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>setupCommunication</name>
      <anchor>b0</anchor>
      <arglist>(Communication comm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneP</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneC</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>childStatus</name>
      <anchor>b3</anchor>
      <arglist>(int fd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>virtual_hook</name>
      <anchor>b4</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::QGpgMEJob</name>
    <filename>classKleo_1_1QGpgMEJob.html</filename>
    <member kind="function">
      <type></type>
      <name>QGpgMEJob</name>
      <anchor>a0</anchor>
      <arglist>(Kleo::Job *_this, GpgME::Context *context)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doOperationDoneEvent</name>
      <anchor>b0</anchor>
      <arglist>(const GpgME::Error &amp;e)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>hookupContextToEventLoopInteractor</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPatterns</name>
      <anchor>b2</anchor>
      <arglist>(const QStringList &amp;sl, bool allowEmpty=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createOutData</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createInData</name>
      <anchor>b4</anchor>
      <arglist>(const QByteArray &amp;in)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>GpgME::Error</type>
      <name>setSigningKeys</name>
      <anchor>b5</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotOperationDoneEvent</name>
      <anchor>b6</anchor>
      <arglist>(GpgME::Context *context, const GpgME::Error &amp;e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitProgressSignal</name>
      <anchor>b7</anchor>
      <arglist>(const QString &amp;what, int current, int total)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitDoneSignal</name>
      <anchor>b8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotCancel</name>
      <anchor>b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::Job *</type>
      <name>mThis</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Context *</type>
      <name>mCtx</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char **</type>
      <name>mPatterns</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mInData</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::QByteArrayDataProvider *</type>
      <name>mInDataDataProvider</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mOutData</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::QByteArrayDataProvider *</type>
      <name>mOutDataDataProvider</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntry</name>
    <filename>classKleo_1_1CryptoConfigEntry.html</filename>
    <member kind="enumeration">
      <name>Level</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ArgType</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOptional</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isList</name>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isRuntime</name>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Level</type>
      <name>level</name>
      <anchor>a5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ArgType</type>
      <name>argType</name>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSet</name>
      <anchor>a7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>boolValue</name>
      <anchor>a8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>stringValue</name>
      <anchor>a9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>intValue</name>
      <anchor>a10</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>uintValue</name>
      <anchor>a11</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>urlValue</name>
      <anchor>a12</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>numberOfTimesSet</name>
      <anchor>a13</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>stringValueList</name>
      <anchor>a14</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; int &gt;</type>
      <name>intValueList</name>
      <anchor>a15</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; unsigned int &gt;</type>
      <name>uintValueList</name>
      <anchor>a16</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL::List</type>
      <name>urlValueList</name>
      <anchor>a17</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resetToDefault</name>
      <anchor>a18</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setBoolValue</name>
      <anchor>a19</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValue</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValue</name>
      <anchor>a21</anchor>
      <arglist>(int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValue</name>
      <anchor>a22</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValue</name>
      <anchor>a23</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNumberOfTimesSet</name>
      <anchor>a24</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValueList</name>
      <anchor>a25</anchor>
      <arglist>(const QStringList &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValueList</name>
      <anchor>a26</anchor>
      <arglist>(const QValueList&lt; int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValueList</name>
      <anchor>a27</anchor>
      <arglist>(const QValueList&lt; unsigned int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValueList</name>
      <anchor>a28</anchor>
      <arglist>(const KURL::List &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isDirty</name>
      <anchor>a29</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroup</name>
    <filename>classKleo_1_1CryptoConfigGroup.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry::Level</type>
      <name>level</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>entryList</name>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry *</type>
      <name>entry</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponent</name>
    <filename>classKleo_1_1CryptoConfigComponent.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>groupList</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigGroup *</type>
      <name>group</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfig</name>
    <filename>classKleo_1_1CryptoConfig.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>componentList</name>
      <anchor>a1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigComponent *</type>
      <name>component</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name) const =0</arglist>
    </member>
    <member kind="function">
      <type>CryptoConfigEntry *</type>
      <name>entry</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;componentName, const QString &amp;groupName, const QString &amp;entryName) const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sync</name>
      <anchor>a4</anchor>
      <arglist>(bool runtime)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptJob</name>
    <filename>classKleo_1_1DecryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;result, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::DecryptionResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;cipherText, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptVerifyJob</name>
    <filename>classKleo_1_1DecryptVerifyJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;decryptionresult, const GpgME::VerificationResult &amp;verificationresult, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::DecryptionResult, GpgME::VerificationResult &gt;</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;cipherText, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptVerifyJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DeleteJob</name>
    <filename>classKleo_1_1DeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const GpgME::Key &amp;key, bool allowSecretKeyDeletion=false)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DeleteJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DNAttributeMapper</name>
    <filename>classKleo_1_1DNAttributeMapper.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>name2label</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;s) const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>names</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>attributeOrder</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttributeOrder</name>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;order)</arglist>
    </member>
    <member kind="function">
      <type>DNAttributeOrderConfigWidget *</type>
      <name>configWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *parent=0, const char *name=0) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const DNAttributeMapper *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DN</name>
    <filename>classKleo_1_1DN.html</filename>
    <member kind="typedef">
      <type>QValueVector&lt; Attribute &gt;</type>
      <name>AttributeList</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>AttributeList::const_iterator</type>
      <name>const_iterator</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchor>a2</anchor>
      <arglist>(const char *utf8DN)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchor>a3</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const DN &amp;</type>
      <name>operator=</name>
      <anchor>a5</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>prettyDN</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dn</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>operator[]</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;attr) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a9</anchor>
      <arglist>(const Attribute &amp;attr)</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DownloadJob</name>
    <filename>classKleo_1_1DownloadJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const QByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;fingerprints)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DownloadJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::EncryptJob</name>
    <filename>classKleo_1_1EncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::EncryptionResult &amp;result, const QByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::EncryptionResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust, QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>EncryptJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ExportJob</name>
    <filename>classKleo_1_1ExportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const QByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ExportJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::HierarchicalKeyListJob</name>
    <filename>classKleo_1_1HierarchicalKeyListJob.html</filename>
    <base>Kleo::KeyListJob</base>
    <member kind="function">
      <type></type>
      <name>HierarchicalKeyListJob</name>
      <anchor>a0</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol, bool remote=false, bool includeSigs=false, bool validating=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::KeyListResult</type>
      <name>exec</name>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ImportJob</name>
    <filename>classKleo_1_1ImportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::ImportResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::ImportResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ImportJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::Job</name>
    <filename>classKleo_1_1Job.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchor>i0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progress</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;what, int current, int total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>showErrorDialog</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Job</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyFilter</name>
    <filename>classKleo_1_1KeyFilter.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a1</anchor>
      <arglist>(const GpgME::Key &amp;key) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>specificity</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QColor</type>
      <name>fgColor</name>
      <anchor>a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QColor</type>
      <name>bgColor</name>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QFont</type>
      <name>font</name>
      <anchor>a5</anchor>
      <arglist>(const QFont &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>icon</name>
      <anchor>a7</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyGenerationJob</name>
    <filename>classKleo_1_1KeyGenerationJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::KeyGenerationResult &amp;result, const QByteArray &amp;pubKeyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;parameters)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyGenerationJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyListJob</name>
    <filename>classKleo_1_1KeyListJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>nextKey</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l1</anchor>
      <arglist>(const GpgME::KeyListResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::KeyListResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyListJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::MultiDeleteJob</name>
    <filename>classKleo_1_1MultiDeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;result, const GpgME::Key &amp;errorKey)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MultiDeleteJob</name>
      <anchor>a0</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys, bool allowSecretKeyDeletion=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::RefreshKeysJob</name>
    <filename>classKleo_1_1RefreshKeysJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::Error &amp;error)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>RefreshKeysJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignEncryptJob</name>
    <filename>classKleo_1_1SignEncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::SigningResult &amp;signingresult, const GpgME::EncryptionResult &amp;encryptionresult, const QByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::SigningResult, GpgME::EncryptionResult &gt;</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const QByteArray &amp;plainText, bool alwaysTrust, QByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignEncryptJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignJob</name>
    <filename>classKleo_1_1SignJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::SigningResult &amp;result, const QByteArray &amp;signature)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const QByteArray &amp;plainText, GpgME::Context::SignatureMode mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::SigningResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const QByteArray &amp;plainText, GpgME::Context::SignatureMode mode, QByteArray &amp;signature)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyDetachedJob</name>
    <filename>classKleo_1_1VerifyDetachedJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;signature, const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;signature, const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyDetachedJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyOpaqueJob</name>
    <filename>classKleo_1_1VerifyOpaqueJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchor>l0</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result, const QByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchor>a1</anchor>
      <arglist>(const QByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(const QByteArray &amp;signedData, QByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyOpaqueJob</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigDialog</name>
    <filename>classKleo_1_1CryptoConfigDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotChanged</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigDialog</name>
      <anchor>a0</anchor>
      <arglist>(Kleo::CryptoConfig *config, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigModule</name>
    <filename>classKleo_1_1CryptoConfigModule.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigModule</name>
      <anchor>a0</anchor>
      <arglist>(Kleo::CryptoConfig *config, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancel</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponentGUI</name>
    <filename>classKleo_1_1CryptoConfigComponentGUI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigComponentGUI</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigComponent *component, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroupGUI</name>
    <filename>classKleo_1_1CryptoConfigGroupGUI.html</filename>
    <base>QGroupBox</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigGroupGUI</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigGroup *group, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryGUIFactory</name>
    <filename>classKleo_1_1CryptoConfigEntryGUIFactory.html</filename>
    <member kind="function" static="yes">
      <type>CryptoConfigEntryGUI *</type>
      <name>createEntryGUI</name>
      <anchor>e0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryGUI</name>
    <filename>classKleo_1_1CryptoConfigEntryGUI.html</filename>
    <base>QHBox</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryGUI</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetToDefault</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isChanged</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChanged</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doSave</name>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchor>b1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::CryptoConfigEntry *</type>
      <name>mEntry</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mName</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mChanged</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryLineEdit</name>
    <filename>classKleo_1_1CryptoConfigEntryLineEdit.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryLineEdit</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntrySpinBox</name>
    <filename>classKleo_1_1CryptoConfigEntrySpinBox.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntrySpinBox</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryCheckBox</name>
    <filename>classKleo_1_1CryptoConfigEntryCheckBox.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryCheckBox</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntryLDAPURL</name>
    <filename>classKleo_1_1CryptoConfigEntryLDAPURL.html</filename>
    <base>Kleo::CryptoConfigEntryGUI</base>
    <member kind="function">
      <type></type>
      <name>CryptoConfigEntryLDAPURL</name>
      <anchor>a0</anchor>
      <arglist>(CryptoConfigModule *module, Kleo::CryptoConfigEntry *entry, const QString &amp;entryName, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doSave</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doLoad</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyRequester</name>
    <filename>classKleo_1_1KeyRequester.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchor>a0</anchor>
      <arglist>(unsigned int allowedKeys, bool multipleKeys=false, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>const GpgME::Key &amp;</type>
      <name>key</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchor>a4</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>const std::vector&lt; GpgME::Key &gt; &amp;</type>
      <name>keys</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeys</name>
      <anchor>a6</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fingerprint</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>fingerprints</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprints</name>
      <anchor>a10</anchor>
      <arglist>(const QStringList &amp;fingerprints)</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>eraseButton</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>dialogButton</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchor>a16</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>allowedKeys</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchor>a18</anchor>
      <arglist>(unsigned int allowed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInitialQuery</name>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>initialQuery</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressBar</name>
    <filename>classKleo_1_1ProgressBar.html</filename>
    <base>QProgressBar</base>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;message, int type, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;message, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchor>i2</anchor>
      <arglist>(int progress)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTotalSteps</name>
      <anchor>i3</anchor>
      <arglist>(int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchor>i5</anchor>
      <arglist>(int cur, int tot)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressBar</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressDialog</name>
    <filename>classKleo_1_1ProgressDialog.html</filename>
    <base>QProgressDialog</base>
    <member kind="slot">
      <type>void</type>
      <name>setMinimumDuration</name>
      <anchor>i0</anchor>
      <arglist>(int ms)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressDialog</name>
      <anchor>a0</anchor>
      <arglist>(Job *job, const QString &amp;baseText, QWidget *creator=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
</tagfile>
