<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>Kandy</name>
    <filename>classKandy.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setTitle</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>modemConnect</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showErrorMessage</name>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showMobileWin</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>connectStateChanged</name>
      <anchor>l1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Kandy</name>
      <anchor>a0</anchor>
      <arglist>(CommandScheduler *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Kandy</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchor>b1</anchor>
      <arglist>(QDropEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchor>b3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchor>b4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KandyPrefsDialog</name>
    <filename>classKandyPrefsDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KandyPrefsDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupSerialTab</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupWindowsTab</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KandyView</name>
    <filename>classKandyView.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>addCommand</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>executeCommand</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteCommand</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editCommand</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChangeStatusbar</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChangeCaption</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modifiedChanged</name>
      <anchor>l2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KandyView</name>
      <anchor>a0</anchor>
      <arglist>(CommandScheduler *, QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KandyView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>importPhonebook</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchor>a3</anchor>
      <arglist>(QPainter *, int height, int width)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadFile</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveFile</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setModified</name>
      <anchor>a6</anchor>
      <arglist>(bool modified=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>appendOutput</name>
      <anchor>j0</anchor>
      <arglist>(const char *line)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setResult</name>
      <anchor>j1</anchor>
      <arglist>(ATCommand *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ATCommand</name>
    <filename>classATCommand.html</filename>
    <member kind="function">
      <type></type>
      <name>ATCommand</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;cmdString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ATCommand</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;cmdName, const QString &amp;cmdString, bool hexOutput=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCmdName</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>cmdName</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCmdString</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>cmdString</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>cmd</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>id</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHexOutput</name>
      <anchor>a10</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hexOutput</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>processOutput</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>processOutput</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResultString</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>resultString</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>resultField</name>
      <anchor>a16</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; QStringList &gt; *</type>
      <name>resultFields</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addParameter</name>
      <anchor>a18</anchor>
      <arglist>(ATParameter *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearParameters</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; ATParameter &gt;</type>
      <name>parameters</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParameter</name>
      <anchor>a21</anchor>
      <arglist>(int index, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParameter</name>
      <anchor>a22</anchor>
      <arglist>(int index, int value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoDelete</name>
      <anchor>a23</anchor>
      <arglist>(bool autoDelete)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoDelete</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CommandItem</name>
    <filename>classCommandItem.html</filename>
    <base>QListViewItem</base>
    <member kind="function">
      <type></type>
      <name>CommandItem</name>
      <anchor>a0</anchor>
      <arglist>(QListView *listView, ATCommand *command)</arglist>
    </member>
    <member kind="function">
      <type>ATCommand *</type>
      <name>command</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a3</anchor>
      <arglist>(QDomElement *c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>(QDomDocument *doc, QDomElement *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemText</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveParameter</name>
      <anchor>b0</anchor>
      <arglist>(ATParameter *p, QDomDocument *doc, QDomElement *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CommandSet</name>
    <filename>classCommandSet.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addCommand</name>
      <anchor>a2</anchor>
      <arglist>(ATCommand *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteCommand</name>
      <anchor>a3</anchor>
      <arglist>(ATCommand *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadFile</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveFile</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; ATCommand &gt; *</type>
      <name>commandList</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadCommand</name>
      <anchor>b0</anchor>
      <arglist>(ATCommand *, QDomElement *c)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveCommand</name>
      <anchor>b1</anchor>
      <arglist>(ATCommand *, QDomDocument *doc, QDomElement *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveParameter</name>
      <anchor>b2</anchor>
      <arglist>(ATParameter *p, QDomDocument *doc, QDomElement *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MobileMain</name>
    <filename>classMobileMain.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setConnected</name>
      <anchor>i0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showTerminalWin</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showPreferencesWin</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modemConnect</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modemDisconnect</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MobileMain</name>
      <anchor>a0</anchor>
      <arglist>(CommandScheduler *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MobileMain</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchor>b0</anchor>
      <arglist>(QDragEnterEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchor>b1</anchor>
      <arglist>(QDropEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchor>b3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchor>b4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
</tagfile>
