<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KGantt Module &lt;br&gt; &lt;IMG SRC=&quot;gantt.png&quot;&gt;</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KGantt</name>
    <filename>classKGantt.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>setSelect</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setZoom</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMove</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>zoomIn</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>zoomOut</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>zoomAll</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectAll</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unselectAll</name>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteSelectedItems</name>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>insertIntoSelectedItem</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showList</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideList</name>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGantt</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *toplevelitem=0, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGantt</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setToplevelItem</name>
      <anchor>a2</anchor>
      <arglist>(KGanttItem *item)</arglist>
    </member>
    <member kind="function">
      <type>KGanttItem *</type>
      <name>getToplevelItem</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>xQGanttBarView *</type>
      <name>barView</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>xQGanttListView *</type>
      <name>listView</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSplitter *</type>
      <name>splitter</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>zoom</name>
      <anchor>a7</anchor>
      <arglist>(double factor)</arglist>
    </member>
    <member kind="function">
      <type>KPopupMenu *</type>
      <name>menu</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KToolBar *</type>
      <name>toolbar</name>
      <anchor>a9</anchor>
      <arglist>(QMainWindow *mw=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpItems</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>getSelectedItems</name>
      <anchor>a11</anchor>
      <arglist>(QPtrList&lt; KGanttItem &gt; &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addHoliday</name>
      <anchor>a12</anchor>
      <arglist>(int y, int m, int d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeHoliday</name>
      <anchor>a13</anchor>
      <arglist>(int y, int m, int d)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchor>b0</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGanttItem</name>
    <filename>classKGanttItem.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Change</name>
      <anchor>w26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HeightChanged</name>
      <anchor>w26w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TotalHeightChanged</name>
      <anchor>w26w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>StyleChanged</name>
      <anchor>w26w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Opened</name>
      <anchor>w26w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Closed</name>
      <anchor>w26w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Selected</name>
      <anchor>w26w12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unselected</name>
      <anchor>w26w13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unknown</name>
      <anchor>w26w14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RelationAdded</name>
      <anchor>w26w15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RelationRemoved</name>
      <anchor>w26w16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Style</name>
      <anchor>w27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DrawNothing</name>
      <anchor>w27w17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DrawBorder</name>
      <anchor>w27w18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DrawHandleWSubitems</name>
      <anchor>w27w22</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>(KGanttItem *, KGanttItem::Change)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>destroyed</name>
      <anchor>l1</anchor>
      <arglist>(KGanttItem *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGanttItem</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *parentItem, const QString &amp;text, const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGanttItem</name>
      <anchor>a1</anchor>
      <arglist>(KGanttItem *parentItem, const QString &amp;text, const QDateTime &amp;start, long durationMin)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGanttItem</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGanttRelation *</type>
      <name>addRelation</name>
      <anchor>a3</anchor>
      <arglist>(KGanttItem *from, KGanttItem *to, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>open</name>
      <anchor>a5</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEditable</name>
      <anchor>a6</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEditable</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchor>a9</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMode</name>
      <anchor>a10</anchor>
      <arglist>(Mode flag)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchor>a11</anchor>
      <arglist>(int flag, bool includeSubitems=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getStyle</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrush</name>
      <anchor>a13</anchor>
      <arglist>(const QBrush &amp;brush)</arglist>
    </member>
    <member kind="function">
      <type>QBrush &amp;</type>
      <name>getBrush</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QBrush &amp;</type>
      <name>getSelectBrush</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPen</name>
      <anchor>a16</anchor>
      <arglist>(const QPen &amp;pen)</arglist>
    </member>
    <member kind="function">
      <type>QPen &amp;</type>
      <name>getPen</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextPen</name>
      <anchor>a18</anchor>
      <arglist>(const QPen &amp;pen)</arglist>
    </member>
    <member kind="function">
      <type>QPen &amp;</type>
      <name>getTextPen</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getText</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>getStart</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>getEnd</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStart</name>
      <anchor>a24</anchor>
      <arglist>(const QDateTime &amp;start)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnd</name>
      <anchor>a25</anchor>
      <arglist>(const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeight</name>
      <anchor>a26</anchor>
      <arglist>(int h)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getHeight</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getTotalHeight</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getWidth</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KGanttItem &gt; &amp;</type>
      <name>getSubItems</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KGanttRelation &gt; &amp;</type>
      <name>getRelations</name>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTransaction</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endTransaction</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a34</anchor>
      <arglist>(QTextOStream &amp;cout, const QString &amp;pre)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>ChangeAsString</name>
      <anchor>e0</anchor>
      <arglist>(Change c)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGanttRelation</name>
    <filename>classKGanttRelation.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Change</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Selected</name>
      <anchor>w4w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unselected</name>
      <anchor>w4w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>itemDestroyed</name>
      <anchor>i0</anchor>
      <arglist>(KGanttItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>(KGanttRelation *, KGanttRelation::Change)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>destroyed</name>
      <anchor>l1</anchor>
      <arglist>(KGanttRelation *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGanttRelation</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchor>a1</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEditable</name>
      <anchor>a2</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEditable</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPen &amp;</type>
      <name>getSelectPen</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPen</name>
      <anchor>a5</anchor>
      <arglist>(const QPen &amp;pen)</arglist>
    </member>
    <member kind="function">
      <type>QPen &amp;</type>
      <name>getPen</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextPen</name>
      <anchor>a7</anchor>
      <arglist>(const QPen &amp;pen)</arglist>
    </member>
    <member kind="function">
      <type>QPen &amp;</type>
      <name>getTextPen</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getText</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGanttItem *</type>
      <name>getFrom</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGanttItem *</type>
      <name>getTo</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a13</anchor>
      <arglist>(QTextOStream &amp;cout, const QString &amp;pre)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>ChangeAsString</name>
      <anchor>a14</anchor>
      <arglist>(Change c)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KGanttRelation</name>
      <anchor>b0</anchor>
      <arglist>(KGanttItem *from, KGanttItem *to, const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xQGanttBarView</name>
    <filename>classxQGanttBarView.html</filename>
    <base>QScrollView</base>
    <member kind="slot">
      <type>void</type>
      <name>horizontalScrollBarChanged</name>
      <anchor>i0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showConfig</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideConfig</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>xQGanttBarView</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *toplevelitem, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~xQGanttBarView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>xQGanttBarViewPort *</type>
      <name>viewport</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGanttBarConfig *</type>
      <name>getConfig</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>drawHeader</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchor>b0</anchor>
      <arglist>(QPaintEvent *e)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>xQGanttBarViewPort *</type>
      <name>_viewport</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QBrush</type>
      <name>_headerBackBrush</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGanttItem *</type>
      <name>_toplevelitem</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGanttBarConfig *</type>
      <name>_config</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xQGanttBarViewPort</name>
    <filename>classxQGanttBarViewPort.html</filename>
    <base>QFrame</base>
    <member kind="signal">
      <type>void</type>
      <name>modeChanged</name>
      <anchor>l0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scroll</name>
      <anchor>l1</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resized</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>recalculated</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchor>l4</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>xQGanttBarViewPort</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *toplevelitem, xQGanttBarView *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~xQGanttBarViewPort</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchor>a2</anchor>
      <arglist>(int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addHoliday</name>
      <anchor>a3</anchor>
      <arglist>(int y, int m, int d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeHoliday</name>
      <anchor>a4</anchor>
      <arglist>(int y, int m, int d)</arglist>
    </member>
    <member kind="function">
      <type>KPopupMenu *</type>
      <name>menu</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KToolBar *</type>
      <name>toolbar</name>
      <anchor>a6</anchor>
      <arglist>(QMainWindow *mw=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>zoom</name>
      <anchor>a7</anchor>
      <arglist>(double sfactor, int wx, int wy)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>zoom</name>
      <anchor>a8</anchor>
      <arglist>(double sfactor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>getSelectedItems</name>
      <anchor>a9</anchor>
      <arglist>(QPtrList&lt; KGanttItem &gt; &amp;list)</arglist>
    </member>
    <member kind="variable">
      <type>QPtrDict&lt; xQTaskPosition &gt;</type>
      <name>_gItemList</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setMode</name>
      <anchor>j0</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setSelect</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setZoom</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setMove</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>zoomIn</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>zoomOut</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>zoomAll</name>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>popup</name>
      <anchor>j7</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>selectAll</name>
      <anchor>j8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>unselectAll</name>
      <anchor>j9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>deleteSelectedItems</name>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>insertIntoSelectedItem</name>
      <anchor>j11</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xQGanttListView</name>
    <filename>classxQGanttListView.html</filename>
    <base>QScrollView</base>
    <member kind="slot">
      <type>void</type>
      <name>contentsMoved</name>
      <anchor>i0</anchor>
      <arglist>(int, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>xQGanttListView</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *toplevelitem, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~xQGanttListView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBarView</name>
      <anchor>a2</anchor>
      <arglist>(xQGanttBarView *v)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawHeader</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchor>b1</anchor>
      <arglist>(QPaintEvent *e)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGanttItem *</type>
      <name>_toplevelitem</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QBrush</type>
      <name>_headerBackBrush</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>xQGanttBarView *</type>
      <name>_barview</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>xQGanttListViewPort *</type>
      <name>_viewport</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>xQGanttListViewPort</name>
    <filename>classxQGanttListViewPort.html</filename>
    <base>QFrame</base>
    <member kind="slot">
      <type>void</type>
      <name>barViewResized</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>xQGanttListViewPort</name>
      <anchor>a0</anchor>
      <arglist>(KGanttItem *toplevelitem, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~xQGanttListViewPort</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>update</name>
      <anchor>b0</anchor>
      <arglist>(int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setBarViewPort</name>
      <anchor>b1</anchor>
      <arglist>(xQGanttBarViewPort *v)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawContents</name>
      <anchor>b2</anchor>
      <arglist>(QPainter *, int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawItem</name>
      <anchor>b3</anchor>
      <arglist>(KGanttItem *, QPainter *p, const QRect &amp;, int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintEvent</name>
      <anchor>b4</anchor>
      <arglist>(QPaintEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchor>b5</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>xQGanttBarViewPort *</type>
      <name>_barviewport</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>_width</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGanttItem *</type>
      <name>_toplevelitem</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPopupMenu *</type>
      <name>_menu</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QBrush</type>
      <name>brush1</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QBrush</type>
      <name>brush2</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>int</type>
      <name>_ListViewCounter</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
