<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>AddressBookSyncee</name>
    <filename>classAddressBookSyncee.html</filename>
    <base>KSyncee</base>
    <member kind="function">
      <type>AddressBookSyncEntry *</type>
      <name>firstEntry</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AddressBookSyncEntry *</type>
      <name>nextEntry</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchor>a4</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchor>a5</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>read</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>write</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BookmarkSyncee</name>
    <filename>classBookmarkSyncee.html</filename>
    <base>KSyncee</base>
    <member kind="function">
      <type>BookmarkSyncEntry *</type>
      <name>firstEntry</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BookmarkSyncEntry *</type>
      <name>nextEntry</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchor>a4</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchor>a5</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>read</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>write</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalendarSyncee</name>
    <filename>classCalendarSyncee.html</filename>
    <base>KSyncee</base>
    <member kind="function">
      <type>CalendarSyncEntry *</type>
      <name>firstEntry</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CalendarSyncEntry *</type>
      <name>nextEntry</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchor>a4</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeEntry</name>
      <anchor>a5</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>read</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>write</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSync</name>
    <filename>classKSync.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotFileNewWindow</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileNew</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileOpen</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileOpenRecent</name>
      <anchor>i3</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileSave</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileSaveAs</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileClose</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFilePrint</name>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFileQuit</name>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEditCut</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEditCopy</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEditPaste</name>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStatusMsg</name>
      <anchor>i12</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSync</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openDocumentFile</name>
      <anchor>a1</anchor>
      <arglist>(const KURL &amp;url=KURL())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveOptions</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readOptions</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initActions</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initStatusBar</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initView</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchor>b7</anchor>
      <arglist>(KConfig *_cfg)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchor>b8</anchor>
      <arglist>(KConfig *_cfg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSyncee</name>
    <filename>classKSyncee.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual KSyncEntry *</type>
      <name>firstEntry</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KSyncEntry *</type>
      <name>nextEntry</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KSyncEntry *</type>
      <name>findEntry</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addEntry</name>
      <anchor>a5</anchor>
      <arglist>(KSyncEntry *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeEntry</name>
      <anchor>a6</anchor>
      <arglist>(KSyncEntry *)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>replaceEntry</name>
      <anchor>a7</anchor>
      <arglist>(KSyncEntry *oldEntry, KSyncEntry *newEntry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilename</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>filename</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusLogName</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>read</name>
      <anchor>a13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>write</name>
      <anchor>a14</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeLog</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasChanged</name>
      <anchor>a16</anchor>
      <arglist>(KSyncEntry *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSyncEntry</name>
    <filename>classKSyncEntry.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>id</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>timestamp</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>equals</name>
      <anchor>a5</anchor>
      <arglist>(KSyncEntry *)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncee</name>
      <anchor>a6</anchor>
      <arglist>(KSyncee *)</arglist>
    </member>
    <member kind="function">
      <type>KSyncee *</type>
      <name>syncee</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSyncer</name>
    <filename>classKSyncer.html</filename>
    <member kind="function">
      <type></type>
      <name>KSyncer</name>
      <anchor>a0</anchor>
      <arglist>(KSyncUi *ui=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSyncee</name>
      <anchor>a2</anchor>
      <arglist>(KSyncee *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>syncAllToTarget</name>
      <anchor>a4</anchor>
      <arglist>(KSyncee *target, bool writeback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>syncToTarget</name>
      <anchor>a5</anchor>
      <arglist>(KSyncee *syncee, KSyncee *target, bool override=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSyncUi</name>
    <filename>classKSyncUi.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual KSyncEntry *</type>
      <name>deconflict</name>
      <anchor>a2</anchor>
      <arglist>(KSyncEntry *syncEntry, KSyncEntry *target)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSyncView</name>
    <filename>classKSyncView.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KSyncView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSyncView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchor>a2</anchor>
      <arglist>(QPrinter *pPrinter)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readTypeConfig</name>
      <anchor>a4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a5</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeTypeConfig</name>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>synceeLoadError</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>synceeLoaded</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
