<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>libkcal - The KDE calendar access library</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KCal::Alarm</name>
    <filename>classKCal_1_1Alarm.html</filename>
    <base>KCal::CustomProperties</base>
    <member kind="typedef">
      <type>ListBase&lt; Alarm &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Alarm</name>
      <anchor>a0</anchor>
      <arglist>(Incidence *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Alarm</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a2</anchor>
      <arglist>(const Alarm &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a3</anchor>
      <arglist>(const Alarm &amp;a) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a4</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayAlarm</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioAlarm</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;audioFile=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioFile</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;audioFile)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>audioFile</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcedureAlarm</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;programFile, const QString &amp;arguments=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgramFile</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;programFile)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>programFile</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgramArguments</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;arguments)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>programArguments</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmailAlarm</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;subject, const QString &amp;text, const QValueList&lt; Person &gt; &amp;addressees, const QStringList &amp;attachments=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailAddress</name>
      <anchor>a18</anchor>
      <arglist>(const Person &amp;mailAlarmAddress)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailAddresses</name>
      <anchor>a19</anchor>
      <arglist>(const QValueList&lt; Person &gt; &amp;mailAlarmAddresses)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMailAddress</name>
      <anchor>a20</anchor>
      <arglist>(const Person &amp;mailAlarmAddress)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; Person &gt;</type>
      <name>mailAddresses</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailSubject</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;mailAlarmSubject)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailSubject</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailAttachment</name>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;mailAttachFile)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailAttachments</name>
      <anchor>a25</anchor>
      <arglist>(const QStringList &amp;mailAttachFiles)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMailAttachment</name>
      <anchor>a26</anchor>
      <arglist>(const QString &amp;mailAttachFile)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>mailAttachments</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailText</name>
      <anchor>a28</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailText</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchor>a30</anchor>
      <arglist>(const QDateTime &amp;alarmTime)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>time</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTime</name>
      <anchor>a32</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStartOffset</name>
      <anchor>a33</anchor>
      <arglist>(const Duration &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Duration</type>
      <name>startOffset</name>
      <anchor>a34</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasStartOffset</name>
      <anchor>a35</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEndOffset</name>
      <anchor>a36</anchor>
      <arglist>(const Duration &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Duration</type>
      <name>endOffset</name>
      <anchor>a37</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasEndOffset</name>
      <anchor>a38</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSnoozeTime</name>
      <anchor>a39</anchor>
      <arglist>(int alarmSnoozeTime)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>snoozeTime</name>
      <anchor>a40</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRepeatCount</name>
      <anchor>a41</anchor>
      <arglist>(int alarmRepeatCount)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>repeatCount</name>
      <anchor>a42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toggleAlarm</name>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchor>a44</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enabled</name>
      <anchor>a45</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParent</name>
      <anchor>a46</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>parent</name>
      <anchor>a47</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Attachment</name>
    <filename>classKCal_1_1Attachment.html</filename>
    <member kind="typedef">
      <type>ListBase&lt; Attachment &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attachment</name>
      <anchor>a0</anchor>
      <arglist>(const Attachment &amp;attachment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attachment</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;uri, const QString &amp;mime=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attachment</name>
      <anchor>a2</anchor>
      <arglist>(const char *base64, const QString &amp;mime=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUri</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uri</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUri</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;uri)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBinary</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>data</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchor>a8</anchor>
      <arglist>(const char *base64)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeType</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;mime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Attendee</name>
    <filename>classKCal_1_1Attendee.html</filename>
    <base>KCal::Person</base>
    <member kind="typedef">
      <type>ListBase&lt; Attendee &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attendee</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email, bool rsvp=false, PartStat status=NeedsAction, Role role=ReqParticipant, const QString &amp;u=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Attendee</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRole</name>
      <anchor>a2</anchor>
      <arglist>(Role)</arglist>
    </member>
    <member kind="function">
      <type>Role</type>
      <name>role</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>roleStr</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchor>a7</anchor>
      <arglist>(PartStat s)</arglist>
    </member>
    <member kind="function">
      <type>PartStat</type>
      <name>status</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusStr</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRSVP</name>
      <anchor>a10</anchor>
      <arglist>(bool r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>RSVP</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>roleName</name>
      <anchor>e0</anchor>
      <arglist>(Role)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>roleList</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>statusName</name>
      <anchor>e2</anchor>
      <arglist>(PartStat)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>statusList</name>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Calendar</name>
    <filename>classKCal_1_1Calendar.html</filename>
    <base>QObject</base>
    <base>KCal::CustomProperties</base>
    <member kind="signal">
      <type>void</type>
      <name>calendarChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>calendarSaved</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>calendarLoaded</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Calendar</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;timeZoneId)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>close</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSaving</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>getOwner</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOwner</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;os)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>getEmail</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeZoneId</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>timeZoneId</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLocalTime</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLocalTime</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addIncidence</name>
      <anchor>a14</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteIncidence</name>
      <anchor>a15</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>incidences</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>incidences</name>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;qdt)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>rawIncidences</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>incidenceCategories</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addEvent</name>
      <anchor>a20</anchor>
      <arglist>(Event *anEvent)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteEvent</name>
      <anchor>a21</anchor>
      <arglist>(Event *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event *</type>
      <name>event</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;UniqueStr)=0</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>events</name>
      <anchor>a23</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>events</name>
      <anchor>a24</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>events</name>
      <anchor>a25</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Event::List</type>
      <name>events</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEvents</name>
      <anchor>a27</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addTodo</name>
      <anchor>a28</anchor>
      <arglist>(Todo *todo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteTodo</name>
      <anchor>a29</anchor>
      <arglist>(Todo *)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Todo::List</type>
      <name>todos</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo *</type>
      <name>todo</name>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Todo::List</type>
      <name>todos</name>
      <anchor>a32</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo::List</type>
      <name>rawTodos</name>
      <anchor>a33</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a34</anchor>
      <arglist>(const QDate &amp;date)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addJournal</name>
      <anchor>a35</anchor>
      <arglist>(Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteJournal</name>
      <anchor>a36</anchor>
      <arglist>(Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a37</anchor>
      <arglist>(const QDate &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a38</anchor>
      <arglist>(const QString &amp;UID)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal::List</type>
      <name>journals</name>
      <anchor>a39</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>incidence</name>
      <anchor>a40</anchor>
      <arglist>(const QString &amp;UID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setupRelations</name>
      <anchor>a41</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeRelations</name>
      <anchor>a42</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchor>a43</anchor>
      <arglist>(CalFilter *)</arglist>
    </member>
    <member kind="function">
      <type>CalFilter *</type>
      <name>filter</name>
      <anchor>a44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Alarm::List</type>
      <name>alarms</name>
      <anchor>a45</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerObserver</name>
      <anchor>a46</anchor>
      <arglist>(Observer *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unregisterObserver</name>
      <anchor>a47</anchor>
      <arglist>(Observer *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setModified</name>
      <anchor>a48</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLoadedProductId</name>
      <anchor>a49</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadedProductId</name>
      <anchor>a50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>beginChange</name>
      <anchor>a51</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>endChange</name>
      <anchor>a52</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>dissociateOccurrence</name>
      <anchor>a53</anchor>
      <arglist>(Incidence *incidence, QDate date, bool single=true)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a54</anchor>
      <arglist>(const QDateTime &amp;qdt)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a55</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEvents</name>
      <anchor>a56</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Incidence::List</type>
      <name>mergeIncidenceList</name>
      <anchor>e0</anchor>
      <arglist>(const Event::List &amp;, const Todo::List &amp;, const Journal::List &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doSetTimeZoneId</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>notifyIncidenceAdded</name>
      <anchor>b1</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>notifyIncidenceChanged</name>
      <anchor>b2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>notifyIncidenceDeleted</name>
      <anchor>b3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setObserversEnabled</name>
      <anchor>b4</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalendarLocal</name>
    <filename>classKCal_1_1CalendarLocal.html</filename>
    <base>KCal::Calendar</base>
    <member kind="function">
      <type></type>
      <name>CalendarLocal</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarLocal</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;timeZoneId)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;fileName, CalFormat *format=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a7</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a8</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteAllEvents</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a12</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a13</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteAllTodos</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addJournal</name>
      <anchor>a18</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteJournal</name>
      <anchor>a19</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteAllJournals</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a21</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a24</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a25</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a26</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a27</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a28</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>incidenceUpdated</name>
      <anchor>b0</anchor>
      <arglist>(IncidenceBase *i)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>insertEvent</name>
      <anchor>b1</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>appendAlarms</name>
      <anchor>b2</anchor>
      <arglist>(Alarm::List &amp;alarms, Incidence *incidence, const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>appendRecurringAlarms</name>
      <anchor>b3</anchor>
      <arglist>(Alarm::List &amp;alarms, Incidence *incidence, const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalendarNull</name>
    <filename>classKCal_1_1CalendarNull.html</filename>
    <base>KCal::Calendar</base>
    <member kind="function">
      <type>void</type>
      <name>incidenceUpdated</name>
      <anchor>a2</anchor>
      <arglist>(IncidenceBase *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a5</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a6</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a9</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a10</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a12</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addJournal</name>
      <anchor>a14</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteJournal</name>
      <anchor>a15</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a16</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a19</anchor>
      <arglist>(const QDateTime &amp;, const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a20</anchor>
      <arglist>(const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a21</anchor>
      <arglist>(const QDate &amp;, bool)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a22</anchor>
      <arglist>(const QDate &amp;, const QDate &amp;, bool)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>CalendarNull *</type>
      <name>self</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalendarResources</name>
    <filename>classKCal_1_1CalendarResources.html</filename>
    <base>KCal::Calendar</base>
    <member kind="signal">
      <type>void</type>
      <name>signalResourceAdded</name>
      <anchor>l0</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalResourceModified</name>
      <anchor>l1</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalResourceDeleted</name>
      <anchor>l2</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalErrorMessage</name>
      <anchor>l3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarResources</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarResources</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;timeZoneId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CalendarResourceManager *</type>
      <name>resourceManager</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardDestinationPolicy</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAskDestinationPolicy</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Ticket *</type>
      <name>requestSaveTicket</name>
      <anchor>a9</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a10</anchor>
      <arglist>(Ticket *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>releaseSaveTicket</name>
      <anchor>a11</anchor>
      <arglist>(Ticket *ticket)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSaving</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addIncidence</name>
      <anchor>a14</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a15</anchor>
      <arglist>(Event *anEvent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a16</anchor>
      <arglist>(Event *anEvent, ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a17</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;UniqueStr)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getHolidayForDate</name>
      <anchor>a20</anchor>
      <arglist>(const QDate &amp;qd)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a21</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a22</anchor>
      <arglist>(Todo *todo, ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a23</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a26</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addJournal</name>
      <anchor>a27</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteJournal</name>
      <anchor>a28</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addJournal</name>
      <anchor>a29</anchor>
      <arglist>(Journal *journal, ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a30</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>journal</name>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;UID)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a33</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a34</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>ResourceCalendar *</type>
      <name>resource</name>
      <anchor>a35</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>beginChange</name>
      <anchor>a36</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endChange</name>
      <anchor>a37</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a38</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a39</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a40</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotLoadError</name>
      <anchor>j0</anchor>
      <arglist>(ResourceCalendar *r, const QString &amp;err)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSaveError</name>
      <anchor>j1</anchor>
      <arglist>(ResourceCalendar *r, const QString &amp;err)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>incidenceUpdated</name>
      <anchor>b0</anchor>
      <arglist>(IncidenceBase *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectResource</name>
      <anchor>b1</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resourceAdded</name>
      <anchor>b2</anchor>
      <arglist>(ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resourceModified</name>
      <anchor>b3</anchor>
      <arglist>(ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resourceDeleted</name>
      <anchor>b4</anchor>
      <arglist>(ResourceCalendar *resource)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doSetTimeZoneId</name>
      <anchor>b5</anchor>
      <arglist>(const QString &amp;tzid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>incrementChangeCount</name>
      <anchor>b6</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>decrementChangeCount</name>
      <anchor>b7</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalFilter</name>
    <filename>classKCal_1_1CalFilter.html</filename>
    <member kind="function">
      <type></type>
      <name>CalFilter</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalFilter</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CalFilter</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchor>a5</anchor>
      <arglist>(Event::List *eventlist)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchor>a6</anchor>
      <arglist>(Todo::List *todolist)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchor>a7</anchor>
      <arglist>(Journal::List *journallist)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>filterIncidence</name>
      <anchor>a8</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchor>a9</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategoryList</name>
      <anchor>a11</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>categoryList</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCriteria</name>
      <anchor>a13</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>criteria</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalFormat</name>
    <filename>classKCal_1_1CalFormat.html</filename>
    <member kind="function">
      <type></type>
      <name>CalFormat</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalFormat</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *, const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(Calendar *, const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>fromString</name>
      <anchor>a4</anchor>
      <arglist>(Calendar *, const QString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>toString</name>
      <anchor>a5</anchor>
      <arglist>(Calendar *)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearException</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ErrorFormat *</type>
      <name>exception</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>loadedProductId</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setException</name>
      <anchor>a9</anchor>
      <arglist>(ErrorFormat *error)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setApplication</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;app, const QString &amp;productID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const QString &amp;</type>
      <name>application</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const QString &amp;</type>
      <name>productId</name>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>calendarVersion</name>
      <anchor>e3</anchor>
      <arglist>(const char *prodId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>createUniqueId</name>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mLoadedProductId</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CalStorage</name>
    <filename>classKCal_1_1CalStorage.html</filename>
    <member kind="function">
      <type></type>
      <name>CalStorage</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>Calendar *</type>
      <name>calendar</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>open</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>close</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CompatFactory</name>
    <filename>classKCal_1_1CompatFactory.html</filename>
    <member kind="function" static="yes">
      <type>Compat *</type>
      <name>createCompat</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;productId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Compat</name>
    <filename>classKCal_1_1Compat.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fixRecurrence</name>
      <anchor>a2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fixEmptySummary</name>
      <anchor>a3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fixFloatingEnd</name>
      <anchor>a4</anchor>
      <arglist>(QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>useTimeZoneShift</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::CustomProperties</name>
    <filename>classKCal_1_1CustomProperties.html</filename>
    <member kind="function">
      <type></type>
      <name>CustomProperties</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CustomProperties</name>
      <anchor>a1</anchor>
      <arglist>(const CustomProperties &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomProperty</name>
      <anchor>a3</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeCustomProperty</name>
      <anchor>a4</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>customProperty</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNonKDECustomProperty</name>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;name, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeNonKDECustomProperty</name>
      <anchor>a7</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>nonKDECustomProperty</name>
      <anchor>a8</anchor>
      <arglist>(const QCString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomProperties</name>
      <anchor>a9</anchor>
      <arglist>(const QMap&lt; QCString, QString &gt; &amp;properties)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QCString, QString &gt;</type>
      <name>customProperties</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::DndFactory</name>
    <filename>classKCal_1_1DndFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>DndFactory</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>ICalDrag *</type>
      <name>createDrag</name>
      <anchor>a1</anchor>
      <arglist>(Incidence *incidence, QWidget *owner)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>createDropTodo</name>
      <anchor>a2</anchor>
      <arglist>(QDropEvent *de)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>createDrop</name>
      <anchor>a3</anchor>
      <arglist>(QDropEvent *de)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cutEvent</name>
      <anchor>a4</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cutTodo</name>
      <anchor>a5</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyEvent</name>
      <anchor>a6</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyTodo</name>
      <anchor>a7</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>pasteIncidence</name>
      <anchor>a8</anchor>
      <arglist>(const QDate &amp;, const QTime *newTime=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Duration</name>
    <filename>classKCal_1_1Duration.html</filename>
    <member kind="function">
      <type></type>
      <name>Duration</name>
      <anchor>a1</anchor>
      <arglist>(const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Duration</name>
      <anchor>a2</anchor>
      <arglist>(int seconds)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>end</name>
      <anchor>a3</anchor>
      <arglist>(const QDateTime &amp;start) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>asSeconds</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Event</name>
    <filename>classKCal_1_1Event.html</filename>
    <base>KCal::Incidence</base>
    <member kind="typedef">
      <type>ListBase&lt; Event &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Transparency</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchor>a1</anchor>
      <arglist>(const Event &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const Event &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>clone</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtEnd</name>
      <anchor>a6</anchor>
      <arglist>(const QDateTime &amp;dtEnd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QDateTime</type>
      <name>dtEnd</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtEndTimeStr</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtEndDateStr</name>
      <anchor>a9</anchor>
      <arglist>(bool shortfmt=true) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtEndStr</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasEndDate</name>
      <anchor>a11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasEndDate</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultiDay</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTransparency</name>
      <anchor>a14</anchor>
      <arglist>(Transparency transparency)</arglist>
    </member>
    <member kind="function">
      <type>Transparency</type>
      <name>transparency</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDuration</name>
      <anchor>a16</anchor>
      <arglist>(int seconds)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Exception</name>
    <filename>classKCal_1_1Exception.html</filename>
    <member kind="function">
      <type></type>
      <name>Exception</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;message=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>message</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mMessage</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ErrorFormat</name>
    <filename>classKCal_1_1ErrorFormat.html</filename>
    <base>KCal::Exception</base>
    <member kind="function">
      <type></type>
      <name>ErrorFormat</name>
      <anchor>a0</anchor>
      <arglist>(ErrorCodeFormat code, const QString &amp;message=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>message</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ErrorCodeFormat</type>
      <name>errorCode</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::FileStorage</name>
    <filename>classKCal_1_1FileStorage.html</filename>
    <base>KCal::CalStorage</base>
    <member kind="function">
      <type></type>
      <name>FileStorage</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *, const QString &amp;fileName=QString::null, CalFormat *format=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;mFileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveFormat</name>
      <anchor>a4</anchor>
      <arglist>(CalFormat *)</arglist>
    </member>
    <member kind="function">
      <type>CalFormat *</type>
      <name>saveFormat</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::FreeBusy</name>
    <filename>classKCal_1_1FreeBusy.html</filename>
    <base>KCal::IncidenceBase</base>
    <member kind="function">
      <type></type>
      <name>FreeBusy</name>
      <anchor>a1</anchor>
      <arglist>(const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FreeBusy</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *calendar, const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FreeBusy</name>
      <anchor>a3</anchor>
      <arglist>(QValueList&lt; Period &gt; busyPeriods)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QDateTime</type>
      <name>dtEnd</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDtEnd</name>
      <anchor>a7</anchor>
      <arglist>(const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; Period &gt;</type>
      <name>busyPeriods</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPeriod</name>
      <anchor>a9</anchor>
      <arglist>(const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sortList</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::HtmlExport</name>
    <filename>classKCal_1_1HtmlExport.html</filename>
    <member kind="function">
      <type></type>
      <name>HtmlExport</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(QTextStream *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchor>a4</anchor>
      <arglist>(QString title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitleTodo</name>
      <anchor>a6</anchor>
      <arglist>(QString title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titleTodo</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullName</name>
      <anchor>a8</anchor>
      <arglist>(QString name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchor>a10</anchor>
      <arglist>(QString email)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>email</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCredit</name>
      <anchor>a12</anchor>
      <arglist>(QString name, QString url)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>creditName</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>creditURL</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMonthViewEnabled</name>
      <anchor>a15</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>monthViewEnabled</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEventsEnabled</name>
      <anchor>a17</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventsEnabled</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTodosEnabled</name>
      <anchor>a19</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>todosEnabled</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategoriesTodoEnabled</name>
      <anchor>a21</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>categoriesTodoEnabled</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttendeesTodoEnabled</name>
      <anchor>a23</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attendeesTodoEnabled</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExcludePrivateTodoEnabled</name>
      <anchor>a25</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>excludePrivateTodoEnabled</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExcludeConfidentialTodoEnabled</name>
      <anchor>a27</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>excludeConfidentialTodoEnabled</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategoriesEventEnabled</name>
      <anchor>a29</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>categoriesEventEnabled</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttendeesEventEnabled</name>
      <anchor>a31</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attendeesEventEnabled</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExcludePrivateEventEnabled</name>
      <anchor>a33</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>excludePrivateEventEnabled</name>
      <anchor>a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExcludeConfidentialEventEnabled</name>
      <anchor>a35</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>excludeConfidentialEventEnabled</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDueDateEnabled</name>
      <anchor>a37</anchor>
      <arglist>(bool enable=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dueDateEnabled</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRange</name>
      <anchor>a39</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>fromDate</name>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>toDate</name>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyleSheet</name>
      <anchor>a42</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>styleSheet</name>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addHoliday</name>
      <anchor>a44</anchor>
      <arglist>(QDate date, QString name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createHtmlMonthView</name>
      <anchor>b0</anchor>
      <arglist>(QTextStream *ts)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createHtmlEventList</name>
      <anchor>b1</anchor>
      <arglist>(QTextStream *ts)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createHtmlTodoList</name>
      <anchor>b2</anchor>
      <arglist>(QTextStream *ts)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createHtmlTodo</name>
      <anchor>b3</anchor>
      <arglist>(QTextStream *ts, Todo *todo)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createHtmlEvent</name>
      <anchor>b4</anchor>
      <arglist>(QTextStream *ts, Event *event, QDate date, bool withDescription=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>checkSecrecy</name>
      <anchor>b5</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>formatHtmlCategories</name>
      <anchor>b6</anchor>
      <arglist>(QTextStream *ts, Incidence *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>formatHtmlAttendees</name>
      <anchor>b7</anchor>
      <arglist>(QTextStream *ts, Incidence *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>breakString</name>
      <anchor>b8</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ICalDrag</name>
    <filename>classKCal_1_1ICalDrag.html</filename>
    <base>QStoredDrag</base>
    <member kind="function">
      <type></type>
      <name>ICalDrag</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>canDecode</name>
      <anchor>e0</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>decode</name>
      <anchor>e1</anchor>
      <arglist>(QMimeSource *e, Calendar *cal)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ICalFormat</name>
    <filename>classKCal_1_1ICalFormat.html</filename>
    <base>KCal::CalFormat</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *calendar, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(Calendar *calendar, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fromString</name>
      <anchor>a4</anchor>
      <arglist>(Calendar *calendar, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>fromString</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchor>a6</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toICalString</name>
      <anchor>a7</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchor>a8</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchor>a9</anchor>
      <arglist>(Recurrence *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fromString</name>
      <anchor>a10</anchor>
      <arglist>(Recurrence *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>createScheduleMessage</name>
      <anchor>a11</anchor>
      <arglist>(IncidenceBase *e, Scheduler::Method m)</arglist>
    </member>
    <member kind="function">
      <type>ScheduleMessage *</type>
      <name>parseScheduleMessage</name>
      <anchor>a12</anchor>
      <arglist>(Calendar *, const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>FreeBusy *</type>
      <name>parseFreeBusy</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeZone</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;id, bool utc)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>timeZoneId</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>utc</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence</name>
    <filename>classKCal_1_1Incidence.html</filename>
    <base>KCal::IncidenceBase</base>
    <member kind="typedef">
      <type>ListBase&lt; Incidence &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>w14</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Incidence</name>
      <anchor>a1</anchor>
      <arglist>(const Incidence &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const Incidence &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>accept</name>
      <anchor>a4</anchor>
      <arglist>(Visitor &amp;)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Incidence *</type>
      <name>clone</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchor>a6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>recreate</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreated</name>
      <anchor>a8</anchor>
      <arglist>(const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>created</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevision</name>
      <anchor>a10</anchor>
      <arglist>(int rev)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>revision</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDtStart</name>
      <anchor>a12</anchor>
      <arglist>(const QDateTime &amp;dtStart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QDateTime</type>
      <name>dtEnd</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummary</name>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;summary)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>summary</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchor>a18</anchor>
      <arglist>(const QStringList &amp;categories)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;catStr)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>categories</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>categoriesStr</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelatedToUid</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>relatedToUid</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelatedTo</name>
      <anchor>a24</anchor>
      <arglist>(Incidence *relatedTo)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>relatedTo</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>relations</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addRelation</name>
      <anchor>a27</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRelation</name>
      <anchor>a28</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>exDates</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DateTimeList</type>
      <name>exDateTimes</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExDates</name>
      <anchor>a31</anchor>
      <arglist>(const DateList &amp;exDates)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExDateTimes</name>
      <anchor>a32</anchor>
      <arglist>(const DateTimeList &amp;exDateTimes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addExDate</name>
      <anchor>a33</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addExDateTime</name>
      <anchor>a34</anchor>
      <arglist>(const QDateTime &amp;dateTime)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isException</name>
      <anchor>a35</anchor>
      <arglist>(const QDate &amp;qd) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isException</name>
      <anchor>a36</anchor>
      <arglist>(const QDateTime &amp;qdt) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAttachment</name>
      <anchor>a37</anchor>
      <arglist>(Attachment *attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteAttachment</name>
      <anchor>a38</anchor>
      <arglist>(Attachment *attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteAttachments</name>
      <anchor>a39</anchor>
      <arglist>(const QString &amp;mime)</arglist>
    </member>
    <member kind="function">
      <type>Attachment::List</type>
      <name>attachments</name>
      <anchor>a40</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Attachment::List</type>
      <name>attachments</name>
      <anchor>a41</anchor>
      <arglist>(const QString &amp;mime) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAttachments</name>
      <anchor>a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecrecy</name>
      <anchor>a43</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>secrecy</name>
      <anchor>a44</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>secrecyStr</name>
      <anchor>a45</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchor>a46</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomStatus</name>
      <anchor>a47</anchor>
      <arglist>(const QString &amp;status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchor>a48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusStr</name>
      <anchor>a49</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recursOn</name>
      <anchor>a50</anchor>
      <arglist>(const QDate &amp;qd) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recursAt</name>
      <anchor>a51</anchor>
      <arglist>(const QDateTime &amp;qdt) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResources</name>
      <anchor>a52</anchor>
      <arglist>(const QStringList &amp;resources)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>resources</name>
      <anchor>a53</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriority</name>
      <anchor>a54</anchor>
      <arglist>(int priority)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>priority</name>
      <anchor>a55</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const Alarm::List &amp;</type>
      <name>alarms</name>
      <anchor>a56</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Alarm *</type>
      <name>newAlarm</name>
      <anchor>a57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAlarm</name>
      <anchor>a58</anchor>
      <arglist>(Alarm *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAlarm</name>
      <anchor>a59</anchor>
      <arglist>(Alarm *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAlarms</name>
      <anchor>a60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAlarmEnabled</name>
      <anchor>a61</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Recurrence *</type>
      <name>recurrence</name>
      <anchor>a62</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ushort</type>
      <name>doesRecur</name>
      <anchor>a63</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLocation</name>
      <anchor>a64</anchor>
      <arglist>(const QString &amp;location)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>location</name>
      <anchor>a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>secrecyList</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>secrecyName</name>
      <anchor>e1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>statusName</name>
      <anchor>e2</anchor>
      <arglist>(Status)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::AddVisitor</name>
    <filename>classKCal_1_1Incidence_1_1AddVisitor.html</filename>
    <templarg>T</templarg>
    <base>KCal::Incidence::Visitor</base>
    <member kind="function">
      <type></type>
      <name>AddVisitor</name>
      <anchor>a0</anchor>
      <arglist>(T *r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *j)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::DeleteVisitor</name>
    <filename>classKCal_1_1Incidence_1_1DeleteVisitor.html</filename>
    <templarg>T</templarg>
    <base>KCal::Incidence::Visitor</base>
    <member kind="function">
      <type></type>
      <name>DeleteVisitor</name>
      <anchor>a0</anchor>
      <arglist>(T *r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *j)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::Visitor</name>
    <filename>classKCal_1_1Incidence_1_1Visitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Visitor</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Visitor</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::Visitor</name>
    <filename>classKCal_1_1Incidence_1_1Visitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Visitor</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Visitor</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::AddVisitor</name>
    <filename>classKCal_1_1Incidence_1_1AddVisitor.html</filename>
    <templarg>T</templarg>
    <base>KCal::Incidence::Visitor</base>
    <member kind="function">
      <type></type>
      <name>AddVisitor</name>
      <anchor>a0</anchor>
      <arglist>(T *r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *j)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Incidence::DeleteVisitor</name>
    <filename>classKCal_1_1Incidence_1_1DeleteVisitor.html</filename>
    <templarg>T</templarg>
    <base>KCal::Incidence::Visitor</base>
    <member kind="function">
      <type></type>
      <name>DeleteVisitor</name>
      <anchor>a0</anchor>
      <arglist>(T *r)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a1</anchor>
      <arglist>(Event *e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Todo *t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Journal *j)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::IncidenceBase</name>
    <filename>classKCal_1_1IncidenceBase.html</filename>
    <base>KCal::CustomProperties</base>
    <member kind="function">
      <type></type>
      <name>IncidenceBase</name>
      <anchor>a1</anchor>
      <arglist>(const IncidenceBase &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const IncidenceBase &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QCString</type>
      <name>type</name>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLastModified</name>
      <anchor>a7</anchor>
      <arglist>(const QDateTime &amp;lm)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastModified</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganizer</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;o)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>organizer</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchor>a11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDtStart</name>
      <anchor>a13</anchor>
      <arglist>(const QDateTime &amp;dtStart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QDateTime</type>
      <name>dtStart</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>dtStartTimeStr</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>dtStartDateStr</name>
      <anchor>a16</anchor>
      <arglist>(bool shortfmt=true) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>dtStartStr</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDuration</name>
      <anchor>a18</anchor>
      <arglist>(int seconds)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>duration</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasDuration</name>
      <anchor>a20</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDuration</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doesFloat</name>
      <anchor>a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFloats</name>
      <anchor>a23</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeComment</name>
      <anchor>a25</anchor>
      <arglist>(QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearComments</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>comments</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAttendee</name>
      <anchor>a28</anchor>
      <arglist>(Attendee *a, bool doUpdate=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAttendees</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Attendee::List &amp;</type>
      <name>attendees</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>attendeeCount</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Attendee *</type>
      <name>attendeeByMail</name>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>Attendee *</type>
      <name>attendeeByMails</name>
      <anchor>a33</anchor>
      <arglist>(const QStringList &amp;, const QString &amp;email=QString::null) const</arglist>
    </member>
    <member kind="function">
      <type>Attendee *</type>
      <name>attendeeByUid</name>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;uid) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSyncStatus</name>
      <anchor>a35</anchor>
      <arglist>(int status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>syncStatus</name>
      <anchor>a36</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPilotId</name>
      <anchor>a37</anchor>
      <arglist>(unsigned long id)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>pilotId</name>
      <anchor>a38</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerObserver</name>
      <anchor>a39</anchor>
      <arglist>(Observer *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unRegisterObserver</name>
      <anchor>a40</anchor>
      <arglist>(Observer *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updated</name>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mReadOnly</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Journal</name>
    <filename>classKCal_1_1Journal.html</filename>
    <base>KCal::Incidence</base>
    <member kind="typedef">
      <type>ListBase&lt; Journal &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>accept</name>
      <anchor>a2</anchor>
      <arglist>(Visitor &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const Journal &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Journal *</type>
      <name>clone</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ListBase</name>
    <filename>classKCal_1_1ListBase.html</filename>
    <templarg>T</templarg>
    <base>QValueList&lt; T * &gt;</base>
    <member kind="function">
      <type></type>
      <name>ListBase</name>
      <anchor>a1</anchor>
      <arglist>(const ListBase &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>ListBase &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const ListBase &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoDelete</name>
      <anchor>a4</anchor>
      <arglist>(bool autoDelete)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeRef</name>
      <anchor>a5</anchor>
      <arglist>(T *t)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Period</name>
    <filename>classKCal_1_1Period.html</filename>
    <member kind="function">
      <type></type>
      <name>Period</name>
      <anchor>a1</anchor>
      <arglist>(const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Period</name>
      <anchor>a2</anchor>
      <arglist>(const QDateTime &amp;start, const Duration &amp;duration)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>start</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>end</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Duration</type>
      <name>duration</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDuration</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Person</name>
    <filename>classKCal_1_1Person.html</filename>
    <member kind="function">
      <type></type>
      <name>Person</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fullName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Person</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>email</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::QtopiaFormat</name>
    <filename>classKCal_1_1QtopiaFormat.html</filename>
    <base>KCal::CalFormat</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(Calendar *, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fromString</name>
      <anchor>a4</anchor>
      <arglist>(Calendar *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchor>a5</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Recurrence</name>
    <filename>classKCal_1_1Recurrence.html</filename>
    <member kind="enumeration">
      <name>Feb29Type</name>
      <anchor>w14</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Recurrence</name>
      <anchor>a0</anchor>
      <arglist>(Incidence *parent, int compatVersion=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Recurrence</name>
      <anchor>a1</anchor>
      <arglist>(const Recurrence &amp;, Incidence *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const Recurrence &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a4</anchor>
      <arglist>(const Recurrence &amp;r) const</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>parent</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>recurStart</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurStart</name>
      <anchor>a7</anchor>
      <arglist>(const QDateTime &amp;start)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurStart</name>
      <anchor>a8</anchor>
      <arglist>(const QDate &amp;start)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFloats</name>
      <anchor>a9</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doesFloat</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurReadOnly</name>
      <anchor>a11</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recurReadOnly</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompatVersion</name>
      <anchor>a13</anchor>
      <arglist>(int version=0)</arglist>
    </member>
    <member kind="function">
      <type>ushort</type>
      <name>doesRecur</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recursOnPure</name>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;qd) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recursAtPure</name>
      <anchor>a16</anchor>
      <arglist>(const QDateTime &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unsetRecurs</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QTime &gt;</type>
      <name>recurTimesOn</name>
      <anchor>a18</anchor>
      <arglist>(const QDate &amp;date) const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>getNextDate</name>
      <anchor>a19</anchor>
      <arglist>(const QDate &amp;preDate, bool *last=0) const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>getNextDateTime</name>
      <anchor>a20</anchor>
      <arglist>(const QDateTime &amp;preDateTime, bool *last=0) const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>getPreviousDate</name>
      <anchor>a21</anchor>
      <arglist>(const QDate &amp;afterDate, bool *last=0) const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>getPreviousDateTime</name>
      <anchor>a22</anchor>
      <arglist>(const QDateTime &amp;afterDateTime, bool *last=0) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>frequency</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFrequency</name>
      <anchor>a24</anchor>
      <arglist>(int freq)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>duration</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDuration</name>
      <anchor>a26</anchor>
      <arglist>(int duration)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>durationTo</name>
      <anchor>a27</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>durationTo</name>
      <anchor>a28</anchor>
      <arglist>(const QDateTime &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>endDate</name>
      <anchor>a29</anchor>
      <arglist>(bool *result=0) const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>endDateTime</name>
      <anchor>a30</anchor>
      <arglist>(bool *result=0) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>endDateStr</name>
      <anchor>a31</anchor>
      <arglist>(bool shortfmt=true) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEndDate</name>
      <anchor>a32</anchor>
      <arglist>(const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEndDateTime</name>
      <anchor>a33</anchor>
      <arglist>(const QDateTime &amp;endDateTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinutely</name>
      <anchor>a34</anchor>
      <arglist>(int _rFreq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinutely</name>
      <anchor>a35</anchor>
      <arglist>(int _rFreq, const QDateTime &amp;endDateTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHourly</name>
      <anchor>a36</anchor>
      <arglist>(int _rFreq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHourly</name>
      <anchor>a37</anchor>
      <arglist>(int _rFreq, const QDateTime &amp;endDateTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaily</name>
      <anchor>a38</anchor>
      <arglist>(int _rFreq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaily</name>
      <anchor>a39</anchor>
      <arglist>(int _rFreq, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWeekly</name>
      <anchor>a40</anchor>
      <arglist>(int _rFreq, const QBitArray &amp;_rDays, int duration, int weekStart=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWeekly</name>
      <anchor>a41</anchor>
      <arglist>(int _rFreq, const QBitArray &amp;_rDays, const QDate &amp;endDate, int weekStart=1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weekStart</name>
      <anchor>a42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QBitArray &amp;</type>
      <name>days</name>
      <anchor>a43</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMonthly</name>
      <anchor>a44</anchor>
      <arglist>(short type, int _rFreq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMonthly</name>
      <anchor>a45</anchor>
      <arglist>(short type, int _rFreq, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMonthlyPos</name>
      <anchor>a46</anchor>
      <arglist>(short _rPos, const QBitArray &amp;_rDays)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMonthlyDay</name>
      <anchor>a47</anchor>
      <arglist>(short _rDay)</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; rMonthPos &gt; &amp;</type>
      <name>monthPositions</name>
      <anchor>a48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; int &gt; &amp;</type>
      <name>monthDays</name>
      <anchor>a49</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearly</name>
      <anchor>a50</anchor>
      <arglist>(int type, int freq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearly</name>
      <anchor>a51</anchor>
      <arglist>(int type, int freq, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearlyByDate</name>
      <anchor>a52</anchor>
      <arglist>(Feb29Type type, int freq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearlyByDate</name>
      <anchor>a53</anchor>
      <arglist>(Feb29Type type, int freq, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearlyByDate</name>
      <anchor>a54</anchor>
      <arglist>(int day, Feb29Type type, int freq, int duration)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setYearlyByDate</name>
      <anchor>a55</anchor>
      <arglist>(int day, Feb29Type type, int freq, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addYearlyNum</name>
      <anchor>a56</anchor>
      <arglist>(short _rNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addYearlyMonthPos</name>
      <anchor>a57</anchor>
      <arglist>(short _rPos, const QBitArray &amp;_rDays)</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; int &gt; &amp;</type>
      <name>yearNums</name>
      <anchor>a58</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; rMonthPos &gt; &amp;</type>
      <name>yearMonthPositions</name>
      <anchor>a59</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Feb29Type</type>
      <name>feb29YearlyType</name>
      <anchor>a60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countMonthlyPosDays</name>
      <anchor>a61</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>getMonthlyPosDays</name>
      <anchor>a62</anchor>
      <arglist>(QValueList&lt; int &gt; &amp;list, int daysInMonth, int startDayOfWeek) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getMonthlyDayDays</name>
      <anchor>a63</anchor>
      <arglist>(QValueList&lt; int &gt; &amp;list, int daysInMonth) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getYearlyMonthMonths</name>
      <anchor>a64</anchor>
      <arglist>(int day, QValueList&lt; int &gt; &amp;list, QValueList&lt; int &gt; &amp;leaplist) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setFeb29YearlyTypeDefault</name>
      <anchor>e0</anchor>
      <arglist>(Feb29Type t)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Feb29Type</type>
      <name>setFeb29YearlyTypeDefault</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const QDate</type>
      <name>MAX_DATE</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursSecondly</name>
      <anchor>b0</anchor>
      <arglist>(const QDate &amp;, int secondFreq) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursMinutelyAt</name>
      <anchor>b1</anchor>
      <arglist>(const QDateTime &amp;dt, int minuteFreq) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursDaily</name>
      <anchor>b2</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursWeekly</name>
      <anchor>b3</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursMonthly</name>
      <anchor>b4</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursYearlyByMonth</name>
      <anchor>b5</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursYearlyByPos</name>
      <anchor>b6</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>recursYearlyByDay</name>
      <anchor>b7</anchor>
      <arglist>(const QDate &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDate</type>
      <name>getNextDateNoTime</name>
      <anchor>b8</anchor>
      <arglist>(const QDate &amp;preDate, bool *last) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDate</type>
      <name>getPreviousDateNoTime</name>
      <anchor>b9</anchor>
      <arglist>(const QDate &amp;afterDate, bool *last) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addMonthlyPos_</name>
      <anchor>b10</anchor>
      <arglist>(short _rPos, const QBitArray &amp;_rDays)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDailySub</name>
      <anchor>b11</anchor>
      <arglist>(short type, int freq, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setYearly_</name>
      <anchor>b12</anchor>
      <arglist>(short type, Feb29Type, int freq, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>recurCalc</name>
      <anchor>b13</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>recurCalc</name>
      <anchor>b14</anchor>
      <arglist>(PeriodFunc, QDateTime &amp;endtime) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>secondlyCalc</name>
      <anchor>b15</anchor>
      <arglist>(PeriodFunc, QDateTime &amp;endtime, int freq) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>dailyCalc</name>
      <anchor>b16</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>weeklyCalc</name>
      <anchor>b17</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>weeklyCalcEndDate</name>
      <anchor>b18</anchor>
      <arglist>(QDate &amp;enddate, int daysPerWeek) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>weeklyCalcToDate</name>
      <anchor>b19</anchor>
      <arglist>(const QDate &amp;enddate, int daysPerWeek) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>weeklyCalcNextAfter</name>
      <anchor>b20</anchor>
      <arglist>(QDate &amp;enddate, int daysPerWeek) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>monthlyCalc</name>
      <anchor>b21</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>monthlyCalcEndDate</name>
      <anchor>b22</anchor>
      <arglist>(QDate &amp;enddate, MonthlyData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>monthlyCalcToDate</name>
      <anchor>b23</anchor>
      <arglist>(const QDate &amp;enddate, MonthlyData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>monthlyCalcNextAfter</name>
      <anchor>b24</anchor>
      <arglist>(QDate &amp;enddate, MonthlyData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyMonthCalc</name>
      <anchor>b25</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyMonthCalcEndDate</name>
      <anchor>b26</anchor>
      <arglist>(QDate &amp;enddate, YearlyMonthData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyMonthCalcToDate</name>
      <anchor>b27</anchor>
      <arglist>(const QDate &amp;enddate, YearlyMonthData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyMonthCalcNextAfter</name>
      <anchor>b28</anchor>
      <arglist>(QDate &amp;enddate, YearlyMonthData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyPosCalc</name>
      <anchor>b29</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyPosCalcEndDate</name>
      <anchor>b30</anchor>
      <arglist>(QDate &amp;enddate, YearlyPosData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyPosCalcToDate</name>
      <anchor>b31</anchor>
      <arglist>(const QDate &amp;enddate, YearlyPosData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyPosCalcNextAfter</name>
      <anchor>b32</anchor>
      <arglist>(QDate &amp;enddate, YearlyPosData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyDayCalc</name>
      <anchor>b33</anchor>
      <arglist>(PeriodFunc, QDate &amp;enddate) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyDayCalcEndDate</name>
      <anchor>b34</anchor>
      <arglist>(QDate &amp;enddate, YearlyDayData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyDayCalcToDate</name>
      <anchor>b35</anchor>
      <arglist>(const QDate &amp;enddate, YearlyDayData &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>yearlyDayCalcNextAfter</name>
      <anchor>b36</anchor>
      <arglist>(QDate &amp;enddate, YearlyDayData &amp;) const</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KCal::Recurrence::rMonthPos</name>
    <filename>structKCal_1_1Recurrence_1_1rMonthPos.html</filename>
    <member kind="variable">
      <type>QBitArray</type>
      <name>rDays</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>rPos</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>negative</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KCal::Recurrence::rMonthPos</name>
    <filename>structKCal_1_1Recurrence_1_1rMonthPos.html</filename>
    <member kind="variable">
      <type>QBitArray</type>
      <name>rDays</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>rPos</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>negative</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceCached</name>
    <filename>classKCal_1_1ResourceCached.html</filename>
    <base>KCal::ResourceCalendar</base>
    <member kind="function">
      <type></type>
      <name>ResourceCached</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a2</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReloadPolicy</name>
      <anchor>a4</anchor>
      <arglist>(int policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reloadPolicy</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReloadInterval</name>
      <anchor>a6</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reloadInterval</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSavePolicy</name>
      <anchor>a8</anchor>
      <arglist>(int policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>savePolicy</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveInterval</name>
      <anchor>a10</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>saveInterval</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLastLoad</name>
      <anchor>a12</anchor>
      <arglist>(const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastLoad</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLastSave</name>
      <anchor>a14</anchor>
      <arglist>(const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastSave</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a16</anchor>
      <arglist>(Event *anEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a17</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;UniqueStr)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>events</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a21</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a22</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a23</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a24</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a25</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a26</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a28</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addJournal</name>
      <anchor>a29</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteJournal</name>
      <anchor>a30</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a31</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a34</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a35</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeZoneId</name>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;tzid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>timeZoneId</name>
      <anchor>a37</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableChangeNotification</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableChangeNotification</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearChange</name>
      <anchor>a40</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearChanges</name>
      <anchor>a41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasChanges</name>
      <anchor>a42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>allChanges</name>
      <anchor>a43</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>addedIncidences</name>
      <anchor>a44</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>changedIncidences</name>
      <anchor>a45</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>deletedIncidences</name>
      <anchor>a46</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReload</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSave</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calendarIncidenceAdded</name>
      <anchor>b0</anchor>
      <arglist>(KCal::Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calendarIncidenceChanged</name>
      <anchor>b1</anchor>
      <arglist>(KCal::Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calendarIncidenceDeleted</name>
      <anchor>b2</anchor>
      <arglist>(KCal::Incidence *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>checkForReload</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>checkForSave</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>checkForAutomaticSave</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addInfoText</name>
      <anchor>b6</anchor>
      <arglist>(QString &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupSaveTimer</name>
      <anchor>b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupReloadTimer</name>
      <anchor>b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CalendarLocal</type>
      <name>mCalendar</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceCachedReloadConfig</name>
    <filename>classKCal_1_1ResourceCachedReloadConfig.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>loadSettings</name>
      <anchor>i0</anchor>
      <arglist>(ResourceCached *resource)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>saveSettings</name>
      <anchor>i1</anchor>
      <arglist>(ResourceCached *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceCachedReloadConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotIntervalStateChanged</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceCachedSaveConfig</name>
    <filename>classKCal_1_1ResourceCachedSaveConfig.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>loadSettings</name>
      <anchor>i0</anchor>
      <arglist>(ResourceCached *resource)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>saveSettings</name>
      <anchor>i1</anchor>
      <arglist>(ResourceCached *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceCachedSaveConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotIntervalStateChanged</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceCalendar</name>
    <filename>classKCal_1_1ResourceCalendar.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setSubresourceActive</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;, bool active)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceChanged</name>
      <anchor>l0</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceLoaded</name>
      <anchor>l1</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceSaved</name>
      <anchor>l2</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceLoadError</name>
      <anchor>l3</anchor>
      <arglist>(ResourceCalendar *, const QString &amp;error)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourceSaveError</name>
      <anchor>l4</anchor>
      <arglist>(ResourceCalendar *, const QString &amp;error)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceAdded</name>
      <anchor>l5</anchor>
      <arglist>(ResourceCalendar *, const QString &amp;type, const QString &amp;subresource, const QString &amp;label)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceAdded</name>
      <anchor>l6</anchor>
      <arglist>(ResourceCalendar *, const QString &amp;type, const QString &amp;subresource)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSubresourceRemoved</name>
      <anchor>l7</anchor>
      <arglist>(ResourceCalendar *, const QString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceCalendar</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a2</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>infoText</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSaving</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KABC::Lock *</type>
      <name>lock</name>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addIncidence</name>
      <anchor>a8</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addEvent</name>
      <anchor>a9</anchor>
      <arglist>(Event *event)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteEvent</name>
      <anchor>a10</anchor>
      <arglist>(Event *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event *</type>
      <name>event</name>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEvents</name>
      <anchor>a12</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a13</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a14</anchor>
      <arglist>(const QDateTime &amp;qdt)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Event::List</type>
      <name>rawEvents</name>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addTodo</name>
      <anchor>a16</anchor>
      <arglist>(Todo *todo)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteTodo</name>
      <anchor>a17</anchor>
      <arglist>(Todo *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo *</type>
      <name>todo</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo::List</type>
      <name>rawTodos</name>
      <anchor>a19</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a20</anchor>
      <arglist>(const QDate &amp;date)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addJournal</name>
      <anchor>a21</anchor>
      <arglist>(Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>deleteJournal</name>
      <anchor>a22</anchor>
      <arglist>(Journal *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a23</anchor>
      <arglist>(const QDate &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;uid)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Journal::List</type>
      <name>journals</name>
      <anchor>a25</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Alarm::List</type>
      <name>alarms</name>
      <anchor>a26</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a27</anchor>
      <arglist>(const QDateTime &amp;to)=0</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>rawIncidences</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setTimeZoneId</name>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;tzid)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>subresources</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>subresourceActive</name>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>labelForSubresource</name>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;resource) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>doLoad</name>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>doSave</name>
      <anchor>b1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>addInfoText</name>
      <anchor>b2</anchor>
      <arglist>(QString &amp;) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadError</name>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;errorMessage=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveError</name>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;errorMessage=QString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceKABC</name>
    <filename>classKCal_1_1ResourceKABC.html</filename>
    <base>KCal::ResourceCalendar</base>
    <member kind="function">
      <type></type>
      <name>ResourceKABC</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a3</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlarm</name>
      <anchor>a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alarm</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlarmDays</name>
      <anchor>a7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>alarmDays</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSaving</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KABC::Lock *</type>
      <name>lock</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addEvent</name>
      <anchor>a11</anchor>
      <arglist>(Event *anEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>a12</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>Event *</type>
      <name>event</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;UniqueStr)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a15</anchor>
      <arglist>(const QDate &amp;date, bool sorted=false)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEventsForDate</name>
      <anchor>a16</anchor>
      <arglist>(const QDateTime &amp;qdt)</arglist>
    </member>
    <member kind="function">
      <type>Event::List</type>
      <name>rawEvents</name>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end, bool inclusive=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addTodo</name>
      <anchor>a18</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>a19</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodos</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>rawTodosForDate</name>
      <anchor>a22</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addJournal</name>
      <anchor>a23</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteJournal</name>
      <anchor>a24</anchor>
      <arglist>(Journal *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a25</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Journal *</type>
      <name>journal</name>
      <anchor>a26</anchor>
      <arglist>(const QString &amp;UID)</arglist>
    </member>
    <member kind="function">
      <type>Journal::List</type>
      <name>journals</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarms</name>
      <anchor>a28</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>Alarm::List</type>
      <name>alarmsTo</name>
      <anchor>a29</anchor>
      <arglist>(const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeZoneId</name>
      <anchor>a31</anchor>
      <arglist>(const QString &amp;tzid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doOpen</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doClose</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doLoad</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doSave</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceKABCConfig</name>
    <filename>classKCal_1_1ResourceKABCConfig.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>loadSettings</name>
      <anchor>i0</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchor>i1</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceKABCConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceLocal</name>
    <filename>classKCal_1_1ResourceLocal.html</filename>
    <base>KCal::ResourceCached</base>
    <member kind="function">
      <type></type>
      <name>ResourceLocal</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceLocal</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>KABC::Lock *</type>
      <name>lock</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>reload</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doOpen</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doClose</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doLoad</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>doSave</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDateTime</type>
      <name>readLastModified</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ResourceLocalConfig</name>
    <filename>classKCal_1_1ResourceLocalConfig.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>loadSettings</name>
      <anchor>i0</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchor>i1</anchor>
      <arglist>(KRES::Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceLocalConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::ScheduleMessage</name>
    <filename>classKCal_1_1ScheduleMessage.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ScheduleMessage</name>
      <anchor>a0</anchor>
      <arglist>(IncidenceBase *, int method, Status status)</arglist>
    </member>
    <member kind="function">
      <type>IncidenceBase *</type>
      <name>event</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>method</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>error</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>statusName</name>
      <anchor>e0</anchor>
      <arglist>(Status status)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Scheduler</name>
    <filename>classKCal_1_1Scheduler.html</filename>
    <member kind="enumeration">
      <name>Method</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Scheduler</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>publish</name>
      <anchor>a2</anchor>
      <arglist>(IncidenceBase *incidence, const QString &amp;recipients)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>performTransaction</name>
      <anchor>a3</anchor>
      <arglist>(IncidenceBase *incidence, Method method)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>performTransaction</name>
      <anchor>a4</anchor>
      <arglist>(IncidenceBase *incidence, Method method, const QString &amp;recipients)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QPtrList&lt; ScheduleMessage &gt;</type>
      <name>retrieveTransactions</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptTransaction</name>
      <anchor>a6</anchor>
      <arglist>(IncidenceBase *, Method method, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteTransaction</name>
      <anchor>a7</anchor>
      <arglist>(IncidenceBase *incidence)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>freeBusyDir</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFreeBusyCache</name>
      <anchor>a9</anchor>
      <arglist>(FreeBusyCache *)</arglist>
    </member>
    <member kind="function">
      <type>FreeBusyCache *</type>
      <name>freeBusyCache</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>methodName</name>
      <anchor>e0</anchor>
      <arglist>(Method)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>translatedMethodName</name>
      <anchor>e1</anchor>
      <arglist>(Method)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptPublish</name>
      <anchor>b0</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status, Method method)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptRequest</name>
      <anchor>b1</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptAdd</name>
      <anchor>b2</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptCancel</name>
      <anchor>b3</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptDeclineCounter</name>
      <anchor>b4</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptReply</name>
      <anchor>b5</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status, Method method)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptRefresh</name>
      <anchor>b6</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptCounter</name>
      <anchor>b7</anchor>
      <arglist>(IncidenceBase *, ScheduleMessage::Status status)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptFreeBusy</name>
      <anchor>b8</anchor>
      <arglist>(IncidenceBase *, Method method)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Calendar *</type>
      <name>mCalendar</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ICalFormat *</type>
      <name>mFormat</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::Todo</name>
    <filename>classKCal_1_1Todo.html</filename>
    <base>KCal::Incidence</base>
    <member kind="typedef">
      <type>ListBase&lt; Todo &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Todo</name>
      <anchor>a1</anchor>
      <arglist>(const Todo &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a3</anchor>
      <arglist>(const Todo &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>clone</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtDue</name>
      <anchor>a6</anchor>
      <arglist>(const QDateTime &amp;dtDue, bool first=false)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>dtDue</name>
      <anchor>a7</anchor>
      <arglist>(bool first=false) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtDueTimeStr</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtDueDateStr</name>
      <anchor>a9</anchor>
      <arglist>(bool shortfmt=true) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtDueStr</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDueDate</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasDueDate</name>
      <anchor>a12</anchor>
      <arglist>(bool hasDueDate)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasStartDate</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasStartDate</name>
      <anchor>a14</anchor>
      <arglist>(bool hasStartDate)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>dtStart</name>
      <anchor>a15</anchor>
      <arglist>(bool first=false) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtStart</name>
      <anchor>a16</anchor>
      <arglist>(const QDateTime &amp;dtStart)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtStartTimeStr</name>
      <anchor>a17</anchor>
      <arglist>(bool first=false) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtStartDateStr</name>
      <anchor>a18</anchor>
      <arglist>(bool shortfmt=true, bool first=false) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dtStartStr</name>
      <anchor>a19</anchor>
      <arglist>(bool first=false) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCompleted</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompleted</name>
      <anchor>a21</anchor>
      <arglist>(bool completed)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>percentComplete</name>
      <anchor>a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchor>a23</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>completed</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>completedStr</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompleted</name>
      <anchor>a26</anchor>
      <arglist>(const QDateTime &amp;completed)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasCompletedDate</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDtRecurrence</name>
      <anchor>a28</anchor>
      <arglist>(const QDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>dtRecurrence</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::VCalDrag</name>
    <filename>classKCal_1_1VCalDrag.html</filename>
    <base>QStoredDrag</base>
    <member kind="function">
      <type></type>
      <name>VCalDrag</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *vcal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>canDecode</name>
      <anchor>e0</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>decode</name>
      <anchor>e1</anchor>
      <arglist>(QMimeSource *e, Calendar *cal)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCal::VCalFormat</name>
    <filename>classKCal_1_1VCalFormat.html</filename>
    <base>KCal::CalFormat</base>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *calendar, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchor>a3</anchor>
      <arglist>(Calendar *, const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fromString</name>
      <anchor>a4</anchor>
      <arglist>(Calendar *, const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toString</name>
      <anchor>a5</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Todo *</type>
      <name>VTodoToEvent</name>
      <anchor>b0</anchor>
      <arglist>(VObject *vtodo)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Event *</type>
      <name>VEventToEvent</name>
      <anchor>b1</anchor>
      <arglist>(VObject *vevent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>VObject *</type>
      <name>eventToVTodo</name>
      <anchor>b2</anchor>
      <arglist>(const Todo *anEvent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>VObject *</type>
      <name>eventToVEvent</name>
      <anchor>b3</anchor>
      <arglist>(const Event *anEvent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>qDateToISO</name>
      <anchor>b4</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>qDateTimeToISO</name>
      <anchor>b5</anchor>
      <arglist>(const QDateTime &amp;, bool zulu=TRUE)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDateTime</type>
      <name>ISOToQDateTime</name>
      <anchor>b6</anchor>
      <arglist>(const QString &amp;dtStr)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDate</type>
      <name>ISOToQDate</name>
      <anchor>b7</anchor>
      <arglist>(const QString &amp;dtStr)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>populate</name>
      <anchor>b8</anchor>
      <arglist>(VObject *vcal)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char *</type>
      <name>dayFromNum</name>
      <anchor>b9</anchor>
      <arglist>(int day)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>numFromDay</name>
      <anchor>b10</anchor>
      <arglist>(const QString &amp;day)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Attendee::PartStat</type>
      <name>readStatus</name>
      <anchor>b11</anchor>
      <arglist>(const char *s) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>writeStatus</name>
      <anchor>b12</anchor>
      <arglist>(Attendee::PartStat status) const</arglist>
    </member>
  </compound>
</tagfile>
