<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>ActionBase</name>
    <filename>classActionBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>toString</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>apply</name>
      <anchor>a3</anchor>
      <arglist>(ScorableArticle &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ActionBase *</type>
      <name>clone</name>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>getType</name>
      <anchor>a5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>getValueString</name>
      <anchor>a6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setValue</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userName</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>ActionBase *</type>
      <name>factory</name>
      <anchor>e0</anchor>
      <arglist>(int type, QString value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>userNames</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>userName</name>
      <anchor>e2</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>getTypeForName</name>
      <anchor>e3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>getTypeForUserName</name>
      <anchor>e4</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ActionEditWidget</name>
    <filename>classActionEditWidget.html</filename>
    <base>KWidgetLister</base>
    <member kind="slot">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>i0</anchor>
      <arglist>(KScoringRule *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionEditWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *m, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createWidget</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateRule</name>
      <anchor>a3</anchor>
      <arglist>(KScoringRule *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressField</name>
    <filename>classAddressField.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a4</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>AddressField &amp;</type>
      <name>operator=</name>
      <anchor>a6</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a7</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a8</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasName</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasEmail</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>nameAs7Bit</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>email</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNameFrom7Bit</name>
      <anchor>a19</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchor>a20</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>n_ame</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>e_mail</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BCC</name>
    <filename>classBCC.html</filename>
    <base>To</base>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BoolFlags</name>
    <filename>classBoolFlags.html</filename>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchor>a2</anchor>
      <arglist>(unsigned int i, bool b=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchor>a3</anchor>
      <arglist>(unsigned int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned char *</type>
      <name>data</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned char</type>
      <name>bits</name>
      <anchor>p0</anchor>
      <arglist>[2]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CC</name>
    <filename>classCC.html</filename>
    <base>To</base>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CDescription</name>
    <filename>classCDescription.html</filename>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CDisposition</name>
    <filename>classCDisposition.html</filename>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>contentDisposition</type>
      <name>disposition</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisposition</name>
      <anchor>a12</anchor>
      <arglist>(contentDisposition d)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachment</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>filename</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilename</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentDisposition</type>
      <name>d_isp</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>f_ilename</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConditionEditWidget</name>
    <filename>classConditionEditWidget.html</filename>
    <base>KWidgetLister</base>
    <member kind="slot">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>i0</anchor>
      <arglist>(KScoringRule *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConditionEditWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createWidget</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateRule</name>
      <anchor>a3</anchor>
      <arglist>(KScoringRule *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ContentType</name>
    <filename>classContentType.html</filename>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>mimeType</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>mediaType</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>subType</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchor>a15</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMediatype</name>
      <anchor>a16</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSubtype</name>
      <anchor>a17</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isText</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPlainText</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHTMLText</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isImage</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipart</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPartial</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>charset</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCharset</name>
      <anchor>a25</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>boundary</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBoundary</name>
      <anchor>a27</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>id</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a31</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialNumber</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialCount</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartialParams</name>
      <anchor>a34</anchor>
      <arglist>(int total, int number)</arglist>
    </member>
    <member kind="function">
      <type>contentCategory</type>
      <name>category</name>
      <anchor>a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategory</name>
      <anchor>a36</anchor>
      <arglist>(contentCategory c)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>getParameter</name>
      <anchor>b0</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setParameter</name>
      <anchor>b1</anchor>
      <arglist>(const QCString &amp;name, const QCString &amp;value, bool doubleQuotes=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>m_imeType</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>p_arams</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentCategory</type>
      <name>c_ategory</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CTEncoding</name>
    <filename>classCTEncoding.html</filename>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>contentEncoding</type>
      <name>cte</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCte</name>
      <anchor>a12</anchor>
      <arglist>(contentEncoding e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decoded</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDecoded</name>
      <anchor>a14</anchor>
      <arglist>(bool d=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needToEncode</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentEncoding</type>
      <name>c_te</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>d_ecoded</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>From</name>
    <filename>classFrom.html</filename>
    <base>AddressField</base>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LinkLocator</name>
    <filename>classLinkLocator.html</filename>
    <member kind="function">
      <type></type>
      <name>LinkLocator</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;text, int pos=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxUrlLen</name>
      <anchor>a1</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxUrlLen</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxAddressLen</name>
      <anchor>a3</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxAddressLen</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getUrl</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>convertToHtml</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;plainText, bool preserveBlanks=false, int maxUrlLen=4096, int maxAddressLen=255)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mPos</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MailCopiesTo</name>
    <filename>classMailCopiesTo.html</filename>
    <base>AddressField</base>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysCopy</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>neverCopy</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MessageID</name>
    <filename>classMessageID.html</filename>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generate</name>
      <anchor>a12</anchor>
      <arglist>(const QCString &amp;fqdn)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>m_id</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPaintInfo</name>
    <filename>structKPaintInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>pixmapOn</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QColor</type>
      <name>colFore</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QColor</type>
      <name>colBack</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QColor</type>
      <name>colNew</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QColor</type>
      <name>colUnread</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QColor</type>
      <name>colFlag</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showSize</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>orderOfArrival</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>status</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>flagCol</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>senderCol</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>subCol</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dateCol</name>
      <anchor>o13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>sizeCol</name>
      <anchor>o14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showCryptoIcons</name>
      <anchor>o15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>showAttachmentIcon</name>
      <anchor>o16</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QStrictUtf7Codec</name>
    <filename>classQStrictUtf7Codec.html</filename>
    <base>QUtf7Codec</base>
    <member kind="function">
      <type>const char *</type>
      <name>name</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>mibEnum</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QTextEncoder *</type>
      <name>makeEncoder</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QUtf7Codec</name>
    <filename>classQUtf7Codec.html</filename>
    <base>QTextCodec</base>
    <member kind="function">
      <type>int</type>
      <name>mibEnum</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>name</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>mimeName</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QTextDecoder *</type>
      <name>makeDecoder</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QTextEncoder *</type>
      <name>makeEncoder</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncode</name>
      <anchor>a6</anchor>
      <arglist>(QChar) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncode</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>heuristicContentMatch</name>
      <anchor>a8</anchor>
      <arglist>(const char *chars, int len) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>References</name>
    <filename>classReferences.html</filename>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>count</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>first</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>next</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>at</name>
      <anchor>a15</anchor>
      <arglist>(unsigned int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>r_ef</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p_os</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReplyTo</name>
    <filename>classReplyTo.html</filename>
    <base>AddressField</base>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RuleEditWidget</name>
    <filename>classRuleEditWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>setDirty</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateRule</name>
      <anchor>i2</anchor>
      <arglist>(KScoringRule *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateRule</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>shrink</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RuleEditWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *m, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddGroup</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShrink</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RuleListWidget</name>
    <filename>classRuleListWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>slotRuleSelected</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRuleSelected</name>
      <anchor>i1</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRuleSelected</name>
      <anchor>i2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateRuleList</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateRuleList</name>
      <anchor>i4</anchor>
      <arglist>(const KScoringRule *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRuleNameChanged</name>
      <anchor>i5</anchor>
      <arglist>(const QString &amp;, const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ruleSelected</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>ruleEdited</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>leavingRule</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RuleListWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *m, bool=false, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentRule</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotGroupFilter</name>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>j1</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>j2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEditRule</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDelRule</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewRule</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCopyRule</name>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateButton</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RuleStack</name>
    <filename>classRuleStack.html</filename>
    <member kind="function">
      <type>void</type>
      <name>push</name>
      <anchor>a2</anchor>
      <arglist>(QPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchor>a3</anchor>
      <arglist>(QPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>top</name>
      <anchor>a4</anchor>
      <arglist>(QPtrList&lt; KScoringRule &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>drop</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ScorableGroup</name>
    <filename>classScorableGroup.html</filename>
  </compound>
  <compound kind="class">
    <name>SingleActionWidget</name>
    <filename>classSingleActionWidget.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>SingleActionWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *m, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAction</name>
      <anchor>a2</anchor>
      <arglist>(ActionBase *)</arglist>
    </member>
    <member kind="function">
      <type>ActionBase *</type>
      <name>createAction</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SingleConditionWidget</name>
    <filename>classSingleConditionWidget.html</filename>
    <base>QFrame</base>
    <member kind="function">
      <type></type>
      <name>SingleConditionWidget</name>
      <anchor>a0</anchor>
      <arglist>(KScoringManager *, QWidget *p=0, const char *n=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCondition</name>
      <anchor>a2</anchor>
      <arglist>(KScoringExpression *)</arglist>
    </member>
    <member kind="function">
      <type>KScoringExpression *</type>
      <name>createCondition</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpellingFilter</name>
    <filename>classSpellingFilter.html</filename>
    <member kind="function">
      <type></type>
      <name>SpellingFilter</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;text, const QString &amp;quotePrefix, UrlFiltering filterUrls=FilterUrls, EmailAddressFiltering filterEmailAddresses=FilterEmailAddresses, const QStringList &amp;filterStrings=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>originalText</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>filteredText</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Supersedes</name>
    <filename>classSupersedes.html</filename>
    <base>MessageID</base>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>To</name>
    <filename>classTo.html</filename>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAddress</name>
      <anchor>a12</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emails</name>
      <anchor>a13</anchor>
      <arglist>(QStrList *l)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ObsAddressList *</type>
      <name>a_ddrList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWidgetLister</name>
    <filename>classKWidgetLister.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>widgetAdded</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>widgetAdded</name>
      <anchor>l1</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>widgetRemoved</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clearWidgets</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KWidgetLister</name>
      <anchor>a0</anchor>
      <arglist>(int minWidgets=1, int maxWidgets=8, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMore</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotFewer</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClear</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>addWidgetAtEnd</name>
      <anchor>b0</anchor>
      <arglist>(QWidget *w=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeLastWidget</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>clearWidget</name>
      <anchor>b2</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createWidget</name>
      <anchor>b3</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setNumberOfShownWidgetsTo</name>
      <anchor>b4</anchor>
      <arglist>(int aNum)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; QWidget &gt;</type>
      <name>mWidgetList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mMinWidgets</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mMaxWidgets</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Codec</name>
    <filename>classKMime_1_1Codec.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maxEncodedSizeFor</name>
      <anchor>a0</anchor>
      <arglist>(int insize, bool withCRLF=false) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maxDecodedSizeFor</name>
      <anchor>a1</anchor>
      <arglist>(int insize, bool withCRLF=false) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Encoder *</type>
      <name>makeEncoder</name>
      <anchor>a2</anchor>
      <arglist>(bool withCRLF=false) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Decoder *</type>
      <name>makeDecoder</name>
      <anchor>a3</anchor>
      <arglist>(bool withCRLF=false) const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>encode</name>
      <anchor>a4</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, char *&amp;dcursor, const char *const dend, bool withCRLF=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>decode</name>
      <anchor>a5</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, char *&amp;dcursor, const char *const dend, bool withCRLF=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>encode</name>
      <anchor>a6</anchor>
      <arglist>(const QByteArray &amp;src, bool withCRLF=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>encodeToQCString</name>
      <anchor>a7</anchor>
      <arglist>(const QByteArray &amp;src, bool withCRLF=false) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QByteArray</type>
      <name>decode</name>
      <anchor>a8</anchor>
      <arglist>(const QByteArray &amp;src, bool withCRLF=false) const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const char *</type>
      <name>name</name>
      <anchor>a9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Codec *</type>
      <name>codecForName</name>
      <anchor>e0</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Codec *</type>
      <name>codecForName</name>
      <anchor>e1</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QAsciiDict&lt; Codec &gt;</type>
      <name>all</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Encoder</name>
    <filename>classKMime_1_1Encoder.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>encode</name>
      <anchor>a1</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, char *&amp;dcursor, const char *const dend)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>finish</name>
      <anchor>a2</anchor>
      <arglist>(char *&amp;dcursor, const char *const dend)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Encoder</name>
      <anchor>b0</anchor>
      <arglist>(bool withCRLF=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>write</name>
      <anchor>b1</anchor>
      <arglist>(char ch, char *&amp;dcursor, const char *const dend)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>flushOutputBuffer</name>
      <anchor>b2</anchor>
      <arglist>(char *&amp;dcursor, const char *const dend)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>writeCRLF</name>
      <anchor>b3</anchor>
      <arglist>(char *&amp;dcursor, const char *const dend)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uchar</type>
      <name>mOutputBufferCursor</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const bool</type>
      <name>mWithCRLF</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Base</name>
    <filename>classKMime_1_1Base.html</filename>
  </compound>
  <compound kind="class">
    <name>KMime::Content</name>
    <filename>classKMime_1_1Content.html</filename>
    <base>KMime::Base</base>
    <member kind="typedef">
      <type>QPtrList&lt; KMime::Content &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Content</name>
      <anchor>a1</anchor>
      <arglist>(const QCString &amp;h, const QCString &amp;b)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual articleType</type>
      <name>type</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasContent</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContent</name>
      <anchor>a5</anchor>
      <arglist>(QStrList *l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContent</name>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>assemble</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>head</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Headers::Generic *</type>
      <name>getNextHeader</name>
      <anchor>a11</anchor>
      <arglist>(QCString &amp;head)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Headers::Base *</type>
      <name>getHeaderByType</name>
      <anchor>a12</anchor>
      <arglist>(const char *type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHeader</name>
      <anchor>a13</anchor>
      <arglist>(Headers::Base *h)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeHeader</name>
      <anchor>a14</anchor>
      <arglist>(const char *type)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasHeader</name>
      <anchor>a15</anchor>
      <arglist>(const char *type)</arglist>
    </member>
    <member kind="function">
      <type>Headers::ContentType *</type>
      <name>contentType</name>
      <anchor>a16</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
    <member kind="function">
      <type>Headers::CTEncoding *</type>
      <name>contentTransferEncoding</name>
      <anchor>a17</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
    <member kind="function">
      <type>Headers::CDisposition *</type>
      <name>contentDisposition</name>
      <anchor>a18</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
    <member kind="function">
      <type>Headers::CDescription *</type>
      <name>contentDescription</name>
      <anchor>a19</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>storageSize</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineCount</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>body</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBody</name>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>encodedContent</name>
      <anchor>a25</anchor>
      <arglist>(bool useCrLf=false)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>decodedContent</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>decodedText</name>
      <anchor>a27</anchor>
      <arglist>(QString &amp;s, bool trimText=false, bool removeTrainingNewlines=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>decodedText</name>
      <anchor>a28</anchor>
      <arglist>(QStringList &amp;s, bool trimText=false, bool removeTrainingNewlines=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fromUnicodeString</name>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>Content *</type>
      <name>textContent</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>attachments</name>
      <anchor>a31</anchor>
      <arglist>(List *dst, bool incAlternatives=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addContent</name>
      <anchor>a32</anchor>
      <arglist>(Content *c, bool prepend=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeContent</name>
      <anchor>a33</anchor>
      <arglist>(Content *c, bool del=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeEncoding</name>
      <anchor>a34</anchor>
      <arglist>(Headers::contentEncoding e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toStream</name>
      <anchor>a35</anchor>
      <arglist>(QTextStream &amp;ts, bool scrambleFromLines=false)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>defaultCharset</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultCharset</name>
      <anchor>a37</anchor>
      <arglist>(const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forceDefaultCS</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setForceDefaultCS</name>
      <anchor>a39</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>rawHeader</name>
      <anchor>b0</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>decodeText</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>T *</type>
      <name>getHeaderInstance</name>
      <anchor>b2</anchor>
      <arglist>(T *ptr, bool create)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>h_ead</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>b_ody</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>List *</type>
      <name>c_ontents</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Headers::Base::List *</type>
      <name>h_eaders</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char *</type>
      <name>d_efaultCS</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>f_orceDefaultCS</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::DateFormatter</name>
    <filename>classKMime_1_1DateFormatter.html</filename>
    <member kind="function">
      <type></type>
      <name>DateFormatter</name>
      <anchor>a0</anchor>
      <arglist>(FormatType fType=DateFormatter::Fancy)</arglist>
    </member>
    <member kind="function">
      <type>FormatType</type>
      <name>getFormat</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFormat</name>
      <anchor>a3</anchor>
      <arglist>(FormatType t)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dateString</name>
      <anchor>a4</anchor>
      <arglist>(time_t otime, const QString &amp;lang=QString::null, bool shortFormat=true, bool includeSecs=false) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dateString</name>
      <anchor>a5</anchor>
      <arglist>(const QDateTime &amp;dtime, const QString &amp;lang=QString::null, bool shortFormat=true, bool includeSecs=false) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomFormat</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;format)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getCustomFormat</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>rfc2822</name>
      <anchor>a8</anchor>
      <arglist>(time_t otime) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>formatDate</name>
      <anchor>e0</anchor>
      <arglist>(DateFormatter::FormatType t, time_t time, const QString &amp;data=QString::null, bool shortFormat=true, bool includeSecs=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>formatCurrentDate</name>
      <anchor>e1</anchor>
      <arglist>(DateFormatter::FormatType t, const QString &amp;data=QString::null, bool shortFormat=true, bool includeSecs=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QCString</type>
      <name>rfc2822FormatDate</name>
      <anchor>e2</anchor>
      <arglist>(time_t time)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>isDaylight</name>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>fancy</name>
      <anchor>b0</anchor>
      <arglist>(time_t otime) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>localized</name>
      <anchor>b1</anchor>
      <arglist>(time_t otime, bool shortFormat=true, bool includeSecs=false, const QString &amp;localeLanguage=QString::null) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>cTime</name>
      <anchor>b2</anchor>
      <arglist>(time_t otime) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>isoDate</name>
      <anchor>b3</anchor>
      <arglist>(time_t otime) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>custom</name>
      <anchor>b4</anchor>
      <arglist>(time_t t) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>zone</name>
      <anchor>b5</anchor>
      <arglist>(time_t otime) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>time_t</type>
      <name>qdateToTimeT</name>
      <anchor>b6</anchor>
      <arglist>(const QDateTime &amp;dt) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Base</name>
    <filename>classKMime_1_1Headers_1_1Base.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; Base &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Base</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Base</name>
      <anchor>a1</anchor>
      <arglist>(KMime::Content *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMime::Content *</type>
      <name>parent</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setParent</name>
      <anchor>a4</anchor>
      <arglist>(KMime::Content *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool=true)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>rfc2047Charset</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRFC2047Charset</name>
      <anchor>a8</anchor>
      <arglist>(const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>defaultCS</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forceCS</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is</name>
      <anchor>a16</anchor>
      <arglist>(const char *t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMimeHeader</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isXHeader</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>typeIntro</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char *</type>
      <name>e_ncCS</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Content *</type>
      <name>p_arent</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::ReturnPath</name>
    <filename>classKMime_1_1Headers_1_1ReturnPath.html</filename>
    <member kind="function">
      <type></type>
      <name>ReturnPath</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReturnPath</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReturnPath</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>parse</name>
      <anchor>b0</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, bool isCRLF=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generic</name>
    <filename>classKMime_1_1Headers_1_1Generic.html</filename>
    <base>KMime::Headers::Generics::GUnstructured</base>
    <member kind="function">
      <type></type>
      <name>Generic</name>
      <anchor>a1</anchor>
      <arglist>(const char *t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Generic</name>
      <anchor>a2</anchor>
      <arglist>(const char *t, Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Generic</name>
      <anchor>a3</anchor>
      <arglist>(const char *t, Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Generic</name>
      <anchor>a4</anchor>
      <arglist>(const char *t, Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a9</anchor>
      <arglist>(const char *type)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>char *</type>
      <name>t_ype</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Subject</name>
    <filename>classKMime_1_1Headers_1_1Subject.html</filename>
    <base>KMime::Headers::Generics::GUnstructured</base>
    <member kind="function">
      <type></type>
      <name>Subject</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Subject</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Subject</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReply</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Organization</name>
    <filename>classKMime_1_1Headers_1_1Organization.html</filename>
    <base>KMime::Headers::Generics::GUnstructured</base>
    <member kind="function">
      <type></type>
      <name>Organization</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Organization</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Organization</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Control</name>
    <filename>classKMime_1_1Headers_1_1Control.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>Control</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Control</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Control</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCancel</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>c_trlMsg</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Date</name>
    <filename>classKMime_1_1Headers_1_1Date.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>Date</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Date</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, time_t t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Date</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Date</name>
      <anchor>a4</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a7</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>unixTime</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnixTime</name>
      <anchor>a14</anchor>
      <arglist>(time_t t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnixTime</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>qdt</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ageInDays</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>t_ime</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Newsgroups</name>
    <filename>classKMime_1_1Headers_1_1Newsgroups.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>Newsgroups</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Newsgroups</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Newsgroups</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>firstGroup</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCrossposted</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>getGroups</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>g_roups</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::FollowUpTo</name>
    <filename>classKMime_1_1Headers_1_1FollowUpTo.html</filename>
    <base>KMime::Headers::Newsgroups</base>
    <member kind="function">
      <type></type>
      <name>FollowUpTo</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FollowUpTo</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FollowUpTo</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Lines</name>
    <filename>classKMime_1_1Headers_1_1Lines.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>Lines</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Lines</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, unsigned int i)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Lines</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Lines</name>
      <anchor>a4</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a7</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfLines</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNumberOfLines</name>
      <anchor>a14</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>l_ines</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::UserAgent</name>
    <filename>classKMime_1_1Headers_1_1UserAgent.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>UserAgent</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UserAgent</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UserAgent</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>u_agent</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::MessageID</name>
    <filename>classKMime_1_1Headers_1_1MessageID.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageID</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generate</name>
      <anchor>a12</anchor>
      <arglist>(const QCString &amp;fqdn)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>m_id</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Supersedes</name>
    <filename>classKMime_1_1Headers_1_1Supersedes.html</filename>
    <base>KMime::Headers::MessageID</base>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Supersedes</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::AddressField</name>
    <filename>classKMime_1_1Headers_1_1AddressField.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressField</name>
      <anchor>a4</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>AddressField &amp;</type>
      <name>operator=</name>
      <anchor>a6</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a7</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a8</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasName</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasEmail</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>nameAs7Bit</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>email</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNameFrom7Bit</name>
      <anchor>a19</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchor>a20</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>n_ame</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>e_mail</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::From</name>
    <filename>classKMime_1_1Headers_1_1From.html</filename>
    <base>KMime::Headers::AddressField</base>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>From</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::ReplyTo</name>
    <filename>classKMime_1_1Headers_1_1ReplyTo.html</filename>
    <base>KMime::Headers::AddressField</base>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReplyTo</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::MailCopiesTo</name>
    <filename>classKMime_1_1Headers_1_1MailCopiesTo.html</filename>
    <base>KMime::Headers::AddressField</base>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailCopiesTo</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysCopy</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>neverCopy</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::To</name>
    <filename>classKMime_1_1Headers_1_1To.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>To</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAddress</name>
      <anchor>a12</anchor>
      <arglist>(const AddressField &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emails</name>
      <anchor>a13</anchor>
      <arglist>(QStrList *l)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ObsAddressList *</type>
      <name>a_ddrList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::CC</name>
    <filename>classKMime_1_1Headers_1_1CC.html</filename>
    <base>KMime::Headers::To</base>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CC</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::BCC</name>
    <filename>classKMime_1_1Headers_1_1BCC.html</filename>
    <base>KMime::Headers::To</base>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BCC</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::References</name>
    <filename>classKMime_1_1Headers_1_1References.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>References</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>count</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>first</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>next</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>at</name>
      <anchor>a15</anchor>
      <arglist>(unsigned int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>r_ef</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p_os</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::ContentType</name>
    <filename>classKMime_1_1Headers_1_1ContentType.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ContentType</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>mimeType</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>mediaType</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>subType</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchor>a15</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMediatype</name>
      <anchor>a16</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSubtype</name>
      <anchor>a17</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isText</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPlainText</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHTMLText</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isImage</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipart</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPartial</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>charset</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCharset</name>
      <anchor>a25</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>boundary</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBoundary</name>
      <anchor>a27</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a29</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>id</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a31</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialNumber</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialCount</name>
      <anchor>a33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartialParams</name>
      <anchor>a34</anchor>
      <arglist>(int total, int number)</arglist>
    </member>
    <member kind="function">
      <type>contentCategory</type>
      <name>category</name>
      <anchor>a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategory</name>
      <anchor>a36</anchor>
      <arglist>(contentCategory c)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>getParameter</name>
      <anchor>b0</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setParameter</name>
      <anchor>b1</anchor>
      <arglist>(const QCString &amp;name, const QCString &amp;value, bool doubleQuotes=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>m_imeType</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>p_arams</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentCategory</type>
      <name>c_ategory</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::CTEncoding</name>
    <filename>classKMime_1_1Headers_1_1CTEncoding.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CTEncoding</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>contentEncoding</type>
      <name>cte</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCte</name>
      <anchor>a12</anchor>
      <arglist>(contentEncoding e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decoded</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDecoded</name>
      <anchor>a14</anchor>
      <arglist>(bool d=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needToEncode</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentEncoding</type>
      <name>c_te</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>d_ecoded</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::CDisposition</name>
    <filename>classKMime_1_1Headers_1_1CDisposition.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDisposition</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool incType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>contentDisposition</type>
      <name>disposition</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisposition</name>
      <anchor>a12</anchor>
      <arglist>(contentDisposition d)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachment</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>filename</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilename</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>contentDisposition</type>
      <name>d_isp</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>f_ilename</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::CDescription</name>
    <filename>classKMime_1_1Headers_1_1CDescription.html</filename>
    <base>KMime::Headers::Generics::GUnstructured</base>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CDescription</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generics::GUnstructured</name>
    <filename>classKMime_1_1Headers_1_1Generics_1_1GUnstructured.html</filename>
    <base>KMime::Headers::Base</base>
    <member kind="function">
      <type></type>
      <name>GUnstructured</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GUnstructured</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GUnstructured</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>from7BitString</name>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>as7BitString</name>
      <anchor>a6</anchor>
      <arglist>(bool withHeaderType=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromUnicodeString</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;str, const QCString &amp;suggestedCharset)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>asUnicodeString</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generics::MailboxList</name>
    <filename>classKMime_1_1Headers_1_1Generics_1_1MailboxList.html</filename>
    <member kind="function">
      <type></type>
      <name>MailboxList</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailboxList</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MailboxList</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>parse</name>
      <anchor>b0</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, bool isCRLF=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Types::Mailbox &gt;</type>
      <name>mMailboxList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generics::AddressList</name>
    <filename>classKMime_1_1Headers_1_1Generics_1_1AddressList.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressList</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressList</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressList</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>parse</name>
      <anchor>b0</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, bool isCRLF=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Types::Address &gt;</type>
      <name>mAddressList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generics::GIdent</name>
    <filename>classKMime_1_1Headers_1_1Generics_1_1GIdent.html</filename>
    <member kind="function">
      <type></type>
      <name>GIdent</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GIdent</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GIdent</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>parse</name>
      <anchor>b0</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, bool isCRLF=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Types::AddrSpec &gt;</type>
      <name>mMsgIdList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Headers::Generics::GToken</name>
    <filename>classKMime_1_1Headers_1_1Generics_1_1GToken.html</filename>
    <member kind="function">
      <type></type>
      <name>GToken</name>
      <anchor>a1</anchor>
      <arglist>(Content *p)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GToken</name>
      <anchor>a2</anchor>
      <arglist>(Content *p, const QCString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GToken</name>
      <anchor>a3</anchor>
      <arglist>(Content *p, const QString &amp;s, const QCString &amp;cs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>parse</name>
      <anchor>b0</anchor>
      <arglist>(const char *&amp;scursor, const char *const send, bool isCRLF=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mToken</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Parser::MultiPart</name>
    <filename>classKMime_1_1Parser_1_1MultiPart.html</filename>
    <member kind="function">
      <type></type>
      <name>MultiPart</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;src, const QCString &amp;boundary)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QCString &gt;</type>
      <name>parts</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>preamble</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>epilouge</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>s_rc</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>b_oundary</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>p_reamble</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>e_pilouge</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; QCString &gt;</type>
      <name>p_arts</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Parser::NonMimeParser</name>
    <filename>classKMime_1_1Parser_1_1NonMimeParser.html</filename>
    <member kind="function">
      <type></type>
      <name>NonMimeParser</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;src)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>parse</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPartial</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialNumber</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>partialCount</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTextPart</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>textPart</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>binaryParts</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>filenames</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>mimeTypes</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>QCString</type>
      <name>guessMimeType</name>
      <anchor>f0</anchor>
      <arglist>(const QCString &amp;fileName)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>s_rc</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>t_ext</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStrList</type>
      <name>b_ins</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStrList</type>
      <name>f_ilenames</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStrList</type>
      <name>m_imeTypes</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>p_artNr</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>t_otalNr</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Parser::UUEncoded</name>
    <filename>classKMime_1_1Parser_1_1UUEncoded.html</filename>
    <base>KMime::Parser::NonMimeParser</base>
    <member kind="function">
      <type></type>
      <name>UUEncoded</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;src, const QCString &amp;subject)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parse</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>s_ubject</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMime::Parser::YENCEncoded</name>
    <filename>classKMime_1_1Parser_1_1YENCEncoded.html</filename>
    <base>KMime::Parser::NonMimeParser</base>
    <member kind="function">
      <type></type>
      <name>YENCEncoded</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;src)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>parse</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QByteArray &gt;</type>
      <name>binaryParts</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>bool</type>
      <name>yencMeta</name>
      <anchor>f0</anchor>
      <arglist>(QCString &amp;src, const QCString &amp;name, int *value)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; QByteArray &gt;</type>
      <name>b_ins</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchor>a7</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchor>a8</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchor>a9</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Validity</type>
      <name>mValidity</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchor>a0</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>fingerprint</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchor>a17</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchor>a18</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchor>a19</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchor>a20</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchor>a21</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchor>a22</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchor>a23</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchor>a24</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchor>a25</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchor>a26</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchor>a27</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchor>a28</anchor>
      <arglist>(const QCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchor>a29</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchor>a30</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyAlgo</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyLen</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyID</type>
      <name>mKeyID</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mFingerprint</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mTimestamp</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpiration</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchor>a0</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const QString &amp;uid=QString::null, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchor>a11</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchor>a12</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchor>a13</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchor>a14</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchor>a15</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchor>a16</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchor>a17</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchor>a18</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchor>a20</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>primaryUserID</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchor>a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>primaryFingerprint</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;uid) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchor>a28</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchor>a32</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchor>a33</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchor>a35</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchor>a37</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchor>a38</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchor>a39</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchor>a40</anchor>
      <arglist>(const KeyID &amp;keyID, const QCString &amp;fpr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EncryptPref</type>
      <name>mEncryptPref</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SubkeyList</type>
      <name>mSubkeys</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>UserIDList</type>
      <name>mUserIDs</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PassphraseDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool modal=true, const QString &amp;keyID=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>passphrase</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Config</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool encrypt=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValues</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applySettings</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QGroupBox *</type>
      <name>optionsGroupBox</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Module *</type>
      <name>pgp</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>storePass</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>encToSelf</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showCipherText</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showKeyApprovalDlg</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>toolCombo</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mpOptionsGroupBox</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRecentAddress::RecentAddresses</name>
    <filename>classKRecentAddress_1_1RecentAddresses.html</filename>
    <member kind="function">
      <type>QStringList</type>
      <name>addresses</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KABC::Addressee::List &amp;</type>
      <name>kabcAddresses</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxCount</name>
      <anchor>a4</anchor>
      <arglist>(int count)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>maxCount</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchor>a7</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>RecentAddresses *</type>
      <name>self</name>
      <anchor>e0</anchor>
      <arglist>(KConfig *config=0L)</arglist>
    </member>
  </compound>
</tagfile>
